2010-05-20  Ramon Novoa  <rnovoa@artica.es>

	* DEBIAN/control, DEBIAN/make_deb_package.sh,
	  pandora_server.spec: Updated for the release of Pandora FMS 3.1 RC1.

2010-05-20  Miguel de Dios  <miguel.dedios@artica.es>

	* DEBIAN/make_deb_package.sh: fixed the permissions to DEBIAN temp package. 
	
2010-05-20  Sancho Lerena <slerena@artica.es>

	* util/plugins/snmp_process.pl: Some small modifications and fixes for 
	RAM output, also improved help.

2010-05-19  Miguel de Dios  <miguel.dedios@artica.es>

	* DEBIAN/control: added the depends libio-socket-multicast-perl.

2010-05-19  Miguel de Dios  <miguel.dedios@artica.es>

	* DEBIAN/make_deb_package.sh: cleaned the source code.

2010-05-19  Miguel de Dios  <miguel.dedios@artica.es>

	* DEBIAN/conffiles: added the conffiles to tell to package maker that its
	the conf file.
	
	* DEBIAN/make_deb_package.sh: changed the script to try to be similar to
	spec RPM (set the location of perl libs). 

2010-05-19  Miguel de Dios  <miguel.dedios@artica.es>

	* DEBIAN/make_deb_package.sh: added cpan parameter for to make module
	packages or not.
	
	* pandora_server.spec: force the location of lib.

2010-05-19  Sergio Martin <sergio.martin@artica.es>

	* util/plugin/snmp_process.pl: Added the SNMP Server 
	Plugin to Server.

2010-05-19  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/SNMPServer.pm, lib/PandoraFMS/Config.pm,
	  lib/PandoraFMS/Server.pm, lib/PandoraFMS/NetworkServer.pm,
	  lib/PandoraFMS/GIS.pm, lib/PandoraFMS/WMIServer.pm,
	  lib/PandoraFMS/PluginServer.pm, lib/PandoraFMS/ProducerConsumerServer.pm,
	  lib/PandoraFMS/PredictionServer.pm, lib/PandoraFMS/Core.pm,
	  lib/PandoraFMS/ReconServer.pm, lib/PandoraFMS/DataServer.pm,
	  bin/pandora_server, util/pandora_db.pl, util/gpx2pandora_agent_data.pl,
	  util/pandora_manage.pl, util/pandora_dbstress.pl: Added the default library path
	  used by RPM and DEB packages.

2010-05-19  Sancho Lerena <slerena@artica.es>

	* lib/PandoraFMS/DataServer.pm: XML data files coming from a disabled
	agent are now discarded.

	* util/pandora_manage.pl: Added CLI mode to disable/enable agents from	
	a given group. This will help admins to implement recurrent downtime periods.

2010-05-18  Sancho Lerena <slerena@artica.es>

	* pandora_server_upgrade: Fixed a check on pandora_db.pl script in cron.

	* lib/PandoraFMS/Config.pm: Version update to 3.1rc1 and build 100515

2010-05-17  Sergio Martin <sergio.martin@artica.es>

	* lib/PandoraFMS/Core.pm: Fixed the Warning Monitor
	status

2010-05-16  Raúl Mateos  <raulofpandora@gmail.com>

	* bin/pandora_server, lib/PandoraFMS/Config.pm, conf/pandora_server.conf,
	pandora_server_upgrade: Updated year. Clean code.

2010-05-13  Sergio Martin <sergio.martin@artica.es>

	* lib/PandoraFMS/Core.pm: Fixed some monitor
	status queries.

2010-05-12  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/ReconServer.pm: Make sure the agent exists
	  when searching by IP address. Fixes bug #2957130.

	* util/pandora_db.pl: Fixed bug #2957130.

2010-05-12  Sergio Martin <sergio.martin@artica.es>

	* man/man1/tentacle.1.gz: Deleted old man page

2010-05-12  Sergio Martin <sergio.martin@artica.es>

	* pandora_server_installer
	  man/man1/tentacle_server.1.gz: Improved the
	  manpages installation splitting tentacle man
	  page

	* man/man1/tentacle_server.1
	 man/man3: Old man pages removed


2010-05-12  Sergio Martin <sergio.martin@artica.es>

	* lib/PandoraFMS/Core.pm: Fixed unknown monitors
	query for bug: 3000460

2010-05-11  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Core.pm: Fixed a log message in
	  pandora_process_module.

2010-05-11  Sergio Martin <sergio.martin@artica.es>

	* pandora_server_installer
	man/man1/pandora_server.1.gz
	man/man1/tentacle.1.gz: Added the man pages of
	tentacle and pandora server and modified the
	server installer script to install them

2010-05-11  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Core.pm: Fixed a log message in
	  pandora_process_module.

2010-05-11  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/PluginServer.pm, lib/PandoraFMS/Core.pm,
          lib/PandoraFMS/NetworkServer.pm, lib/PandoraFMS/WMIServer.pm: Fixed
          bug #2941736. Made pandora_update_module_on_error set
          tagente_estado.current_interval.

2010-05-11  Sancho Lerena <slerena@artica.es>

	* util/plugin/bgp_plugin.pl: New plugin: Connect the device via SNMP
	and performs a check of each BGP connection to verify its active
	status. If cannot connect or BGP has no connection or a single
	connection its down, returns a CRITICAL state. It uses password to
	provide SNMP community for device. It should work with SNMP v1 and v2c

	* util/dns_plugin.sh: New DNS plugin for the Plugin Server. It
	checks a Domain/IP pair and also get time to get response from
	a given DNS server (ms).

2010-05-10  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Core.pm: Made cascade protection recursive to
          check any of the agent's parents in the tree.

2010-05-10  Sergio Martin <sergio.martin@artica.es>

	* lib/PandoraFMS/Tools.pm: Typo fix in error message

2010-05-07  Sancho Lerena <slerena@artica.es>

	* lib/PandoraFMS/DataServer.pm: Fixed call to undefined variable
	on GIS code.

2010-05-05  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Core.pm: Use the data timestamp instead of the
	  current time in the compression algorithm. Fixed regexps in
	  SNMP alerts.

2010-04-30  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Core.pm: Changed the behaviour of SNMP alerts.
	  Alert conditions are ANDed, not ORed.

2010-04-28  Sancho Lerena <slerena@artica.es>

	* util/gpx2pandora_agent_data.pl: Added support to process
	gpx files with tracks, plus the RTE format.

	* lib/PandoraFMS/Core.pm: Fixed call to group stats and now
	process all groups (included disabled) and group 1, because
	with 3.1 group id 1 is not "all" anymore.

2010-04-26  Ramon Novoa  <rnovoa@artica.es>

	* util/pandora_db.pl: Fixed the purge script. Did not work if
	  any of the data tables was empty.

2010-04-23  Sancho Lerena <slerena@artica.es>

	* lib/PandoraFMS/Core.pm: Removed a Log4x trace. Log4x feature 
	has been tested at this level, and works fine.

2010-04-14  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/PredictionServer.pm: Added support for service
	  modules (Enterprise).

2010-04-05  Sancho Lerena <slerena@artica.es>

	* lib/PandoraFMS/ReconServer.pm: Trying to fix the problem detected 
	with recon and new modules from a network template.

	* lib/PandoraFMS/Core.pm: Fallback to previous version, this fix
        makes Pandora server to generate events constantly.

2010-04-05  Junichi Satoh <junichi@rworks.jp>

	* lib/PandoraFMS/Core.pm: Fixed the problem that agent status(estado)
	is never updated to $new_status if initial state of new agent is
	"estado != last_status" with "$new_status == last_status".
	eg) When new agents are added by recontask, estado=1 and last_status=0
	are set.

2010-04-04  Sancho Lerena <slerena@artica.es>

	* conf/pandora_server.conf: Some "fixed" descriptions and sample
	setup, I hope this help to clarify new users how to setup the MTA
	(A LOTS of problems with this in forums), and some new inline 
	documentation about some configuration tokens.

2010-03-24  Sancho Lerena <slerena@artica.es>

    * util/pandora_manage.pl: New tool to do things in Pandora (system wide)
    from the command line. This pretends to unify small maintance tips on
    Pandora, intead have a miriad of small tools. First features are to 
    enable/disable alerts globally and to disable the enterprise ACL feature.

2010-03-19  Eric Ross <eric.ross.c@gmail.com>

	* util/pandora_db.pl: Added log4x tables to purge

2010-03-10  Sancho Lerena  <slerena@artica.es>

	* lib/PandoraFMS/DataServer.pm: Fix for annoying notices from
	Perl due reference to undefined variable (GIS).

	* lib/PandoraFMS/Core.pm: Automonitoring includes now status of 
	database maintance and warns if more than 24hrs without running 
	database maintance script.

	* util/pandora_db.pl: Added support to new purge parameters for
	event, audits, snmp traps, string data and gis data. Added new 
	section to clean orphaned information (using an application - 
	implemented database referencial integrity model).

2010-03-10  Miguel de Dios  <miguel.dedios@artica.es>

	* util/pandora_xml_stress.conf: deleted conf file, I upload by fail.

2010-03-10  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Core.pm: Set tagente_estado.current_interval to
	  tagente.intervalo if tagente_modulo.module_interval is 0.

2010-03-08  Pablo de la Concepción <pablo.concepcion@artica.es>

	* lib/PandoraFMS/GIS.pm, lib/PandoraFMS/GeoIP.pm: Modified to put
	MaxMind GeoIP PurePerl GPL library into PandoraFMS package.

2010-03-04  Sancho Lerena <slerena@artica.es>

	* conf/pandora_server.conf: Several typos and better formating.

	* util/change_remoteconfig.pl: Tool to massive edit the server IP 
	in remote configuration files. Could be modified to alter any other
	fixed field.

	* util/gpx2pandora_agent_data.pl: Transform a standard GPX GIS data
	file in several Pandora FMS XML data server compatible files with GIS
	data.

	* util/gis.README: Small "documentation" on how to start to using GIS
	in the Server.


2010-03-04  Pablo de la Concepción <pablo.concepcion@artica.es>

	* conf/pandora_server.conf: Corrected typo 
	
2010-03-04  Pablo de la Concepción <pablo.concepcion@artica.es>

	* lib/PandoraFMS/Server.pm: Added spaces between server name and server
	type on the event generation string.

	* lib/PandoraFMS/GeoIP.pm: MaxMind GeoIP PurePerl GPL library to access
	reverse geoip data.

	* lib/PandoraFMS/GIS.pm: Modified to use GeoIP.pm

	* lib/PandoraFMS/DataServer.pm: Moved log line in case parent_agent_name
	is not defined

2010-03-03  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Core.pm: Added 'matches_value' support to 'onchange'
	  alerts.

2010-03-02  Raúl Mateos  <raulofpandora@gmail.com>

        * util/tentacle_serverd, util/pandora_server: Updated year. Changed
	spaces to tabs.

	* bin/tentacle_server: Updated year. Updated URL for documentation.

2010-02-27  Sancho Lerena <slerena@artica.es>

        * util/tentacle_serverd,
        util/pandora_server: Fixed "stop" problem in debian/ubuntu, which was
        due a problem in redefinition of several LSB functions, stop function
        was not working fine and exit condition was ignored.

2010-02-25  Sancho Lerena <slerena@artica.es>

	* lib/PandoraFMS/Core.pm: Implemented new alert type "onChange".

2010-02-25  Pablo de la Concepción <pablo.concepcion@artica.es>

	* conf/pandora_server.conf: New option, update_parent to let the 
	agent update it's parent by sending the parent name on the XML.

	* lib/PandoraFMS/Config.pm: Support for new option update_parent.

	* lib/PandoraFMS/Core.pm, lib/PandoraFMS/Dataserver.pm: Modified to
	update the parent of an agent at creation time and on update if 
	the update_parent parameter is set to 1

	* man/man3/PandoraFMS::Core.pm.3: Updated manpage with the new
	documentation of the interface

2010-02-24  Pablo de la Concepción <pablo.concepcion@artica.es>

	* lib/PandoraFMS/Core.pm, lib/PandoraFMS/Dataserver.pm: Modified to
	update the parent of an agent if in learning mode.

	* man/man3/PandoraFMS::Core.pm.3: Updated manpage with the new
	parameter and improved documentation for pandora_update_agent

	* lib/PandoraFMS/Config.pm: Updated build

2010-02-23  Raúl Mateos  <raulofpandora@gmail.com>

	* lib/PandoraFMS/*.pm, DEBIAN/make_deb_package.sh, pandora_server_*: 
	Updated year / build. Some spaces to tabs.

2010-02-22  Pablo de la Concepción <pablo.concepcion@artica.es>

	* lib/PandoraFMS/DataServer.pm: Fixed bug #2926077 there were one 
	more place where the timestamp should be checked.

2010-02-22  Pablo de la Concepción <pablo.concepcion@artica.es>

	* lib/PandoraFMS/Core.pm: Updated documentation, fixed wrong parameters
	in the call to distance_moved.

	* man/man3/PandoraFMS::Core.pm.3: Updated manpage.

	* lib/PandoraFMS/DataServer.pm: Added the process of position_description,
	parent_agent_name now is readed (TODO: process it). Fixed bug #2926077
	by handling the error returned by timelocal and ignoring the received
	timestamp to use the server one.

2010-02-19  Pablo de la Concepción <pablo.concepcion@artica.es>


	* lib/PandoraFMS/Core.pm: Updated docuemtation of the interface.

	* man/man3/PandoraFMS::Core.pm.3: Updated manpage with the new
	documentation of the interface

2010-02-19  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Core.pm: Enabled FF protection for module states
	  (not just events).

2010-02-19  Sancho Lerena <slerena@artica.es>

	* lib/PandoraFMS/Core.pm: Added comments to new statistical functions.
	Added support for log4x  in statistical functions.

2010-02-18	Pablo de la Concepción <pablo.concepcion@artica.es>

	* lib/PandoraFMS/Core.pm: Restored documentation lost in one of the
	last commits.

	* man/man3/PandoraFMS::Core.pm.3: Updated manpage with the restored 
	documentation

2010-02-18	Pablo de la Concepción <pablo.concepcion@artica.es>

	* lib/PandoraFMS/Core.pm: Modified to use the new tables 
	(tgis_data_history and tgis_data_status).

	* man/man3/PandoraFMS::Core.pm.3: Updated manpage with the new 
	documentation

2010-02-18  Sancho Lerena <slerena@artica.es>

	* conf/pandora_server.conf: New option, self_monitoring.

	* lib/PandoraFMS/Config.pm: Support for new option self_monitoring.

	* lib/PandoraFMS/Core.pm: Access update is not refreshed by network 
	modules anymore (gaining a lot of performance here). Added new functions
	for internal statistics and automonitoring.

	* lib/PandoraFMS/Tools.pm: New funtions for self_monitoring.

	* bin/pandora_server: Modified error handler to avoid show info about bad
	load of some optional libraries. 
	Modified general loop of maintance tasks in three
	blocks: high, medium and low latency. Placed here in fixed steps (5, 30 and
	one minute) all tasks pending before by server_threshold. Added 
	self_monitoring and internal statistic mode (for group and servers).

	* util/pandora_db.pl: Update tconfig with last time of database maintance 
	time 

2010-02-15	Pablo de la Concepción <pablo.concepcion@artica.es>

	* conf/pandora_server.conf, lib/PandoraFMS/Config.pm: New configuration 
	parameters: recon_reverse_geolocation_mode, recon_reverse_geolocation_file,
	recon_location_scatter_radius. As now the Recon Server can try to geolocate
	an agent when it's found by revers geoip location. 

	* lib/PandoraFMS/Core.pm: Added first version of POD documentation to 
	create the manpage and to have most of the subrutines documented. Also
	it's possible to add the description of the location to the GIS information
	on the pandora_update_agent and pandora_create_agent subroutines. And 
	finaly moved away the GIS related functions (distance_moved) to their own
	new module PandoraFMS::GIS

	* lib/PandoraFMS/GIS.pm: New module to keep all the GIS related functions 
	of Pandora FMS. Now it exports distance_moved, get_reverse_geoip_sql,
	get_reverse_geoip_file and  get_random_close_point.

	* lib/PandoraFMS/ReconServer.pm: Updated to get GIS information by doing
	reverse IP geolocation using GIS module.

	* man/man3/PandoraFMS::Core.pm.3, man/man3/PandoraFMS::GIS.pm.3: New
	manpages for Core and GIS modules.

2010-02-15	Pablo de la Concepción <pablo.concepcion@artica.es>

	* bin/tentacle_server:  Updated tentacle server and synchronized with the
	version from tentacle proyect.

	* man/man1/tentacle_server.1: Updated manpage from the updated pod 
	documentation on bin/tentacle_server

2010-02-15	Eric Ross <eric.ross.c@gmail.com>
	Comit first batch of changes to implement the new log4x data type: Basicaly
	I modified the XML parser and changed how the "data" is handled and passed
	internally.

	* lib/PandoraFMS/DB.pm
	* lib/PandoraFMS/PluginServer.pm
	* lib/PandoraFMS/PredictionServer.pm
	* lib/PandoraFMS/Core.pm
	* lib/PandoraFMS/DataServer.pm
	* lib/PandoraFMS/NetworkServer.pm
	* lib/PandoraFMS/Tools.pm
	* lib/PandoraFMS/WMIServer.pm

2010-02-14	Pablo de la Concepción <pablo.concepcion@artica.es>

	* bin/tentacle_server: Added first version of POD documentation, there
	are still room for improvement (TODO: add the example section) 

	* man/man1/tentacle_server.1: ManPage generated from bin/tentacle_server
	using pod2man.

2010-02-10	Pablo de la Concepción <pablo.concepcion@artica.es>

	* lib/PandoraFMS/DataServer.pm: Validation of positiona parameters, check
	if the parameters are defined and if they have valid values.

2010-02-10  Sancho Lerena <slerena@artica.es>

	* bin/pandora_server: Better error management, avoiding to show Enterprise
	loading errors, and showing in console critical errors, helping to identify
	silly errors like DB credentials, etc.
	Added usage of pandora_get_sharedconfig() to get configuration from DB.

	* Config.pm: Updated build. Added pandora_get_sharedconfig(). Force three
	config tokens to be readed from DB, using default values if cannot be readen
	from database (agentaccess, realtimestat and stats_interval).

	* Core.pm: Added new parameter to pandora_event() to pass status of the 
	event (validated, not validated). Implemented auto-validation of low 
	priority events: normal/ok events will be always shown as autovalidated, and
	warning and normal events will be validated with critical events, and when
	a module is restored (normal/ok), all it's warning/critical pending events
	will be validated. 

	Fixed also bug with FF Threshold who doesnt' trigger events until FF + 1 
	instead FF value.

	* Server.pm,
	NetworkServer.pm,
	Dataserver.pm,
	ReconServer.pm: Raise event with status 0 (non validated) by default.

	* NetworkServer.pm: Implemented support for SNMP v3.

	* util/pandora_db.pl: Very important upgrade to this script. Now will
	delete all huge tables (tagente_datos, tagente_datos_string and 
	tagent_acccess) using several independent blocks (by default 100) avoiding
	mysql locks which happen in the past. 

2010-02-08  Sancho Lerena <slerena@artica.es>

	* util/pandora_db.pl: Script upgrade to purge data in several steps
	avoiding timeout and deadlocks() in high capacity enviroments.

2010-01-29	Pablo de la Concepción <pablo.concepcion@artica.es>

	* conf/pandora_server.conf, lib/PandoraFMS/Config.pm: Added 
	location_error parameter
	
	* lib/PandoraFMS/Core.pm: Fixed bugs in the creation and update of 
	the agent that where messing with the locations. Fixed distance on the
	earth formula. Use of the location_error parameter to decide if an 
	agent has moved or not.

	* util/pandora_xml_stress.pl, util/pandora_xml_stress.README: added
	parameter timezone_offset_range to let the timezone be random in the
	range given, and added the code to use it.
	
2010-01-29	Pablo de la Concepción <pablo.concepcion@artica.es>

	* lib/PandoraFMS/DataServer.pm: Improved timezone_offset management.

2010-01-26   Sancho Lerena <slerena@artica.es>

	* Core.pm: Fixed bug #2932694 (extra ',' in a SQL sentence). Reported by
	Joe Horn.

2010-01-25	Pablo de la Concepción <pablo.concepcion@artica.es>

	* conf/pandora_server.conf, lib/PandoraFMS/Config.pm,
	lib/PandoraFMS/Core.pm, lib/PandoraFMS/DataServer.pm: Added activate_gis
	configuration parameter, and modified Core.pm and Dataserver.pm to skip
	positional data processing when activate_gis is not activated

2010-01-21  Sancho Lerena <slerena@artica.es>

	* pandora_server.spec: Fixed spec to be more compatible with other
	RPM distros.

	* lib/PandoraFMS/NetworkServer.pm: Fixed ugly/noisy message "Use of
	uninitialized value $output in string eq at /usr/local/share/perl
	/5.10.0/PandoraFMS/NetworkServer.pm line 268".

2010-01-21	Pablo de la Concepción <pablo.concepcion@artica.es>

	* lib/PandoraFMS/Core.pm: Modified to unify create and update functions
	using optinal parameters as Ramon sugested. 

	* lib/PandoraFMS/DataServer.pm: Modified to ignore invalid positional data,
	use the unified functions from Core.pm, and store the agent_timestamp 
	modified by the agent_timezone.	

2010-01-20  Ramon Novoa  <rnovoa@artica.es>

	* util/pandora_xml_stress.pl: Fixed the script. Was not working.

2010-01-18	Pablo de la Concepción <pablo.concepcion@artica.es>

	* lib/PandoraFMS/Core.pm: Modified distance_moved function to calculate
	the distance using Havesine formula to take in account the earths curvature
	Modified update_agent_position to update also number_of_packages on 
	tgis_data

2010-01-15	Pablo de la Concepción <pablo.concepcion@artica.es>

	* lib/PandoraFMS/Core.pm, lib/PandoraFMS/DataServer.pm: Fixed a bug with
	some parameters called on wrong order, standarized the order of the 
	position parameters so always is longitude, latitude, altitude.

2010-01-15	Pablo de la Concepción <pablo.concepcion@artica.es>

	* lib/PandoraFMS/Core.pm: Modified to have different functions for the
	creation and update of the agent when it has position information, also
	added some auxiliary functions to store and update this position information.

	* lib/PandoraFMS/DataServer.pm: Modified to use the new functions to create
	and update the agent data adding also the position information.

	* lib/PandoraFMS/PluginServer.pm, lib/PandoraFMS/PredictionServer.pm,
	lib/PandoraFMS/NetworkServer.pm, lib/PandoraFMS/WMIServer.pm: Modified to use
	again the old functions to create and update the angent as in this servers
	we don't have the position information.

2010-01-14  Miguel de Dios  <miguel.dedios@artica.es>
	* DEBIAN/* : restore previus version, I had mistake with this directory in
	Eclipse aplication between Enterprise and Open.

2010-01-12	Pablo de la Concepción <pablo.concepcion@artica.es>

	* lib/PandoraFMS/Core.pm: Fixed a bug introduced in last commmit

2010-01-12	Pablo de la Concepción <pablo.concepcion@artica.es>

	* lib/PandoraFMS/DataServer.pm: Updated to process GIS information from 
	the .data (altitude, latitude, longitude and timezone_offset).

	* lib/PandoraFMS/Core.pm: Added pandora_update_position function, to 
	store GIS information on the databse.

	* lib/PandoraFMS/PluginServer.pm, lib/PandoraFMS/PredictionServer.pm,
	lib/PandoraFMS/NetworkServer.pm, lib/PandoraFMS/WMIServer.pm: Updated
	to send timezone_offset to pandora_update_agent function.

	* util/pandora_xml_stress.pl, util/pandora_xml_stress.README: Updated
	to generate agents with GIS information (altitude, latitude, longitude
	and timezone_offset).

2009-12-29  Sancho Lerena <slerena@artica.es>

	* lib/PandoraFMS/Core.pm: Fixed problem generating events with 
	character ' that makes SQL queries in console to fail.

	* util/plugin/webcheck_plugin.sh: Christmas extra :-). Plugin
	to check WEB content change (by MD5 stamp).

2009-12-28  Sancho Lerena <slerena@artica.es>

	* lib/Config.pm: pandora_exec default at /usr/bin

	* util/pandora_logrotate: Optimized logrotate setup.

	* pandora_server.spec: Start tentacle after install breaks the
	Upgrade process on RPM (error if already running).

	* util/pandora_server: Added mysql as "should-start" in LSB tags

2009-12-23  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Core.pm,
          lib/PandoraFMS/ReconServer.pm,
          lib/PandoraFMS/DataServer.pm: Use agent provided interval for agent
          auto creation. The default interval was being used instead.

2009-12-23  Sancho Lerena <slerena@artica.es>

	* lib/PandoraFMS/Core.pm: Fixed some typos in planned downtime subroutine.

	* bin/pandora_server: Some operations like planned downtime check and
	server down detection are put in a low-priority check, more efficient and
	less time-consuming.

2009-12-21  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Core.pm: Fixed agent check in logger call.

2009-12-21  Sancho Lerena <slerena@artica.es>

	* util/tentacle_served: Fixed call to get_pid, using a width of 300 cols.

2009-12-21  Ramon Novoa  <rnovoa@artica.es>

	* util/pandora_xml_stress.pl: Properly read agent_interval
	  configuration token.

2009-12-18  Sancho Lerena <slerena@artica.es>

	* pandora_server.spec: Added xprobe2 dep (we made the xprobe2 rpm package
	so now it's possible to satisfy dependency). Alter all paths to binary from
	/usr/local/bin to /usr/bin. Other minor issues in RPM fixed.

	* pandora_server_installer: Added description to get deps from zypper and yum.
	Installing services in debian/ubunty systems with update-rc.d. 
	Make check to link from /usr/local/bin to /usr/bin if install
	deploy binary at /usr/local. /usr/bin is the new default.

	* pandora_server_upgrade: /usr/bin as new default. Link issue fixed.

	* DEBIAN/make_deb_package.sh: Fixed Makefile replace regexp to replace all 
	target binary to put then in the jail under /usr/bin path.

	* DEBIAN/postinst: Fixed path for tentacle_server at /usr/bin

	* DEBIAN/prerm: Using native debian commands to remove services.

	* Tools.pm: If there is a problem loading something in the enterprise, show it
	to log.

	* util/pandora_server,
	util/tentacle_serverd: new path to /usr/bin/
	
	* pandora_server.conf: new path for pandora_exec to /usr/bin/

	* util/plugin/udp_nmap_plugin.sh: Check parameters before calling to namp.

2009-12-18  Raul Mateos  <raulofpandora@gmail.com>

	* pandora_dbstress.pl, pandora_db.pl: Clean code, updated year.

2009-12-18  Ramon Novoa  <rnovoa@artica.es>

	* DEBIAN/control: Updated version.

	* util/pandora_db.pl: Added history database support. Re-wrote some
	  parts.

2009-12-17  Miguel de Dios  <miguel.dedios@artica.es>

	* DEBIAN/postinst: change the code to insert as service the server and
	the server tentacle.
	Fixes: 2911327

2009-12-16  Raul Mateos  <raulofpandora@gmail.com>

	* DEBIAN/make_deb_package.sh, lib/PandoraFMS/Config.pm, README,
	pandora_server_upgrade, pandora_server_installer: Preparing release
	changing version to final. Clean code.

2009-12-14  Raul Mateos  <raulofpandora@gmail.com>

	* util/pandora_db.pl: Improved help.

2009-12-14  Raul Mateos  <raulofpandora@gmail.com>

	* lib/PandoraFMS/Core.pm: Changed spaces for tabs.

	* lib/PandoraFMS/Config.pm: Updated build to last change. Changed spaces
	for tabs.

2009-12-07  Raul Mateos  <raulofpandora@gmail.com>

	* pandora_server_installer: Added variables and used in the code.
	Added Ubuntu specific stop scripts. Added link removing with update-rc.d.

2009-12-05  Sancho Lerena <slerena@artica.es>

	* lib/PandoraFMS/Core.pm: Fixed bug #2905434

2009-11-28  Raul Mateos  <raulofpandora@gmail.com>

	* lib/PandoraFMS/Config.pm: Changed string from RC2 to RC3.
	Updated build due to last changes.

	* DEBIAN/control, DEBIAN/make_deb_package.sh: Changed string from rc2
	to RC3

2009-11-23  Ramon Novoa  <rnovoa@artica.es>

	* util/pandora_db.pl: Removed the last call to UnixDate.

2009-11-19  Sancho Lerena <slerena@artica.es>

	* lib/PandoraFMS/Core.pm: Added id_alert to alert macros. Could be
	useful to pass a numeric ID to do alert correlation externally to 
	Pandora FMS.

	* util/plugin/ssh_pandoraplugin.sh: Fixed bug in user parameter 
	processing. Thanks Victoria.

	* util/plugin/udp_nmap_plugin.sh: Removed output of errors.

2009-11-19  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Core.pm: Check for empty module/agent when processing
	  module data.

2009-11-13  Ramon Novoa  <rnovoa@artica.es>

	* conf/pandora_server.conf: Updated configuration tokens.

	* lib/PandoraFMS/SNMPServer.pm, lib/PandoraFMS/Config.pm,
	  lib/PandoraFMS/PluginServer.pm, lib/PandoraFMS/PredictionServer.pm,
	  lib/PandoraFMS/Core.pm, lib/PandoraFMS/ReconServer.pm,
	  lib/PandoraFMS/DataServer.pm, lib/PandoraFMS/NetworkServer.pm,
	  lib/PandoraFMS/Tools.pm, lib/PandoraFMS/WMIServer.pm,
	  bin/pandora_server: Standardized and improved logging.

2009-11-10  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Core.pm: Fixed forced alert execution. Substitute alert
	  macros after decoding HTML entities.

2009-11-10  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/PredictionServer.pm: Fixed bug #2894950.
	
	* lib/PandoraFMS/DataServer.pm: Fixed bug #2894737.

2009-11-08  Sancho Lerena <slerena@artica.es>

	* util/pandora_checkdep.pl: Deleted old dep checker, not used anymore.
	
	* pandora_server_upgrade: Several fixes, adding logrotate conf and more
	link, permissions and startup scripts stuff fixed.
	
	* DEBIAN/control: Updated to RC2, deleted old deps not used anymore.
	
	* DEBIAN/postinst: Simplified some stuff who don't work nice (startup 
	script links, logrotate missing and pandora user doesn't exist. Also problems
	with permissions with tentacle_server.
	
	* DEBIAN/prerm: Simplified, fixed problems deleting startup links.
	
	* DEBIAN/conffiles: Was not working and causes pandora_server.conf to do
	not exist in target systems. Removing it works nice.
	
	DEBian packages works 100%, tested on latest Debian Stable from scratch.
	
2009-11-07  Sancho Lerena <slerena@artica.es>

	* pandora_server_installer: A few bunch of upgrades for SUSE, added
	logrotate.d and some minor fixes.

	* pandora_server_upgrade: Some minor fixes.

	* PandoraFMS/Tools.pm: Fixes to internal SMTP Auth mechanism. 

	* util/pandora_logrotate: Much better configuration for pandora 
	logrotate config, this also rotate pandora_server.error and delete
	files after 5 days.

	* util/pandora_server: more fixes and small improvements to daemon
	script: Removed Mysql dependency on LSB, added variable for let user
	to choose timeout before KILL, and now checks for especific .conf file
	on detecting PID, this should work with several servers running in the
	same server.

	* util/plugin/ssh_pandoraplugin.sh: rewritten to use real parameters
	and be more verbose and easy to integrate in Pandora FMS Plugin server.

	* util/plugin/udp_nmap_plugin.sh: Same as above.

2009-11-06  Raul Mateos  <raulofpandora@gmail.com>

	* lib/PandoraFMS/Config.pm: Changed string from RC1 to RC2.
	Use tabs instead spaces. Updated build due to last changes.

	* pandora_server_installer: Added text to help the user to change the
	default password. Added TO DO.

2009-11-06  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Tools.pm: Fixed bug #2893302.

	* util/pandora_db.pl: Fixed bug #2893303.

2009-11-04  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Core.pm: Fixed a typo.

2009-11-04  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/DB.pm, lib/PandoraFMS/Core.pm,
	  lib/PandoraFMS/DataServer.pm, lib/PandoraFMS/WMIServer.pm,
	  bin/pandora_server, util/pandora_db.pl: Fixed all pending tracker
	  bugs.

2009-11-04  Miguel de Dios <miguel.dedios@artica.es>
	* DEBIAN/make_deb_package.sh: move the script to make the deb package into
	the DEBIAN and change some things into the sourcecode for the directory
	change.

2009-12-03  Miguel de Dios <miguel.dedios@artica.es>
	* DEBIAN/control, DEBIAN/md5sums, DEBIAN/postinst, DEBIAN/prerm,
	DEBIAN/conffiles: debian base files for to make a .deb package.
	* make_deb_package.sh: shell script for make automatically the deb package
	for standard installation in a Debian Lenny, this script make a package
	"pandorafms.server_3.0.0.rc1.deb" and the other necesary packages (perl).

2009-11-01  Ramon Novoa  <rnovoa@artica.es>

	* util/pandora_db.pl: Date::Manip is not used anymore.

2009-10-26  Sancho Lerena <slerena@artica.es>

	* spec: Added net-tools dependency (includes ping and traceroute).
	Updated release of spec.

2009-10-21  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Core.pm: Fixed max_min alerts.

2009-10-21  Sancho Lerena <slerena@artica.es>

	First bug detected & fixed after RC1, whoah :/

	* lib/PandoraFMS/Core.pm: Max/Min alert logic is inverted on match check
	box/switch option in interface. Fixed in server code. This is applicable
	only on max & min alert (when used both).

2009-10-20  Sancho Lerena <slerena@artica.es>

	RC1 Release date

	* lib/Config.pm: Updated build.

	* util/pandora_server: Fixed incorrect message for SUSE daemon when stop
	the server.

2009-10-20  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/SNMPServer.pm: Save as much information as possible if
	  the trap could not be properly parsed.

	* lib/PandoraFMS/Core.pm: Changed the name of the alert name macro to
	  avoid conflicts with other macros.

2009-10-20  Sancho Lerena <slerena@artica.es>

        * tools.pm, core.pm: Float data with "," will be replace this
        character with "." and manage it properly as float.


2009-10-16  Sancho Lerena <slerena@artica.es>

	* util/pandora_server: Updated error string when service cannot startup
	(show both pandora_server.log and pandora_server.error)

2009-10-16  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/DataServer.pm: Do not process disabled modules.

	* bin/pandora_server: Start logging before trying to connect to the DB.

2009-10-16  Sancho Lerena <slerena@artica.es>

	* lib/PandoraFMS/Core.pm: Keepalive was not working properly. Keepalive
	moduletype is now managed like a proc (0 = BAD) in get_status function.

       	* util/pandora_server: Start/Stop daemon now works and problem has been
	fixed, and I'm very happy after so many days trying to figure what the
	hell was happening here. 

2009-10-15  Sancho lerena <slernea@artica.es>

	* lib/PandoraFMS/SNMPServer.pm: Fixed small problem in snmp2agent
	forwarding and better implementation of server error control.
	Also solved problem with duplicated traps in SNMP console.

	* lib/PandoraFMS/Server.pm: better implementation of server error control.

	* lib/PandoraFMS/Core.pm: SNMP alerts now show the IP in _agent_ macro 

	* lib/PandoraFMS/Tools.pm: Better management of enterprise_hook on 
	opensource version. 

	* util/alert_multicast.pl: Added sample of alert script for render
	alerts as multicast XML.

2009-10-13  Sancho Lerena <slerena@artica.es>

	* util/pandora_server: Incremented shutting down grace time to 60 secs
	because in some systems could take a lot of time to close all threads.

	* conf/pandora_server.conf: Better defaults for Pandora FMS server default 
	install. 

	* Config.pm: Hey, this is officially RC1....

	* pandora_server_installer: Fixed usage of old pathnames /usr/share/pandora
	Fixed name of pandora_db cron.daily entry.
	
	* bin/pandora_server: Multicast status report now report each 30 x 
	server_threshold. 
	
	* lib/Core.pm: Alert event now show more information (module name). Alert
	messages like XXX going down to / going up from are replaced by more 
	simple "going to CRITICAL/NORMAL/WARNING", I hope this will be more clear.

2009-10-09  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Core.pm, bin/pandora_server: Re-enabled multicast
	  reports (Enterprise feature).

2009-10-09  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Server.pm, bin/pandora_server: Small fixes to avoid
	  warnings.

2009-10-07  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/SNMPServer.pm,
	  lib/PandoraFMS/DataServer.pm: Reverted the way enterprise functions
	  are called.

	* lib/PandoraFMS/Server.pm
	  lib/PandoraFMS/ProducerConsumerServer.pm: Handle fatal errors and
	  save error messages (useful for console event generation).

	* lib/PandoraFMS/Tools.pm: Improved enterprise_hook.

	* lib/PandoraFMS/Core.pm: Merged pandora_event_status into
	  pandora_event.

	* bin/pandora_server, lib/PandoraFMS/Config.pm: Added restart on error
	  and auto-restart features.

2009-09-30  Sancho Lerena <slerena@artica.es>

	* lib/PandoraFMS/DataServer.pm: Reduced timeout for sleep
	on BADXML from 60 to 10 sec. This could result in bottleneck
	when several BADXML found at the same time. Default code 
	retries 3 times x 10 secs, time enough to discard and retry.

	* util/pandora_db.pl: Disabled non-init modules are not deleted.
	This is needed for disabled modules coming from a remote conf
	(manual or by policy) who cannot execute in agent. If are
	deleted each day after purge, will appear as "unknown" and     
	admin will need to disable it again, and the same next day.

	* pandora_server.spec: A complete uninstall for RPM. Database
	is not killed because user could be just uninstalling one of
	multiple servers and drop it will not be funny :-)

2009-09-28  Sancho Lerena <slerena@artica.es>

	* lib/PandoraFMS/Config.pm: Updatged build.

	* lib/PandoraFMS/Core.pm: Added new macro fields for alerts:
	id_agent, alert_priority, alert name and module name. Also
	fixed a problem in macro substitution when recursive fields
	was used.  

2009-09-25  Sancho Lerena <slerena@artica.es>

	* pandora_server.spec: Some fixes to SUSE RPM.

	* conf/pandora_server.conf: Added some missing default values

	* lib/PandoraFMS/Config.pm: Added some missing default values.

	* util/tentacle_serverd, util/pandora_server: SUSE rc.status 
	addon. Need working, SUSE continues giving erratic problems inn
	startup :(

2009-09-22  Sancho Lerena <slerena@artica.es>

	* pandora_server_installer: Fixes some problems detecting Linux 
	(was skipping tentacle installation).

	* util/tentacle_serverd: Fixed some problems starting tentacle
	because short timeout after starting and because the unquoted grep.

 	* util/pandora_server: Incresed sleep time on start.

2009-09-21  Evi Vanoost <vanooste@rcbi.rochester.edu>

	* pandora_server_installer: Fixed a few bugs on non-Linux platforms
	
	* util/pandora_server, util/tentacle_serverd: Didn't work on Linux 
	(Ubuntu). Fixed she-bang.

2009-09-21  Sancho Lerena <slerena@artica.es>

	* pandora_server.spec: Fixed a few details.  

	* bin/pandora_server: Error handler needs to be reviewed, Enterprise 
	errors are too nasty :(

	* util/tentacle_serverd: Fixed LSB tags problems for RPM install

	* util/pandora_server: Fixed LSB tags problems and fix a bug who make
	script inusable :(

2009-09-18  Sancho Lerena <slerena@artica.es>

	*  util/pandora_db.pl: Minor improvements in script. Added 
	a switch for mode without compact.

	* util/pandora_server: Added higher sleep in restart mode to
	wait some busy threads to stop before start.

2009-09-16  Sancho Lerena <slerena@artica.es>
	
	* util/pandora_exec -> bin/pandora_exec: Moved.

	* pandora_server -> util/pandora_server: Moved.

	* plugins/pandora_loadgen.pl
	plugins/pandora_server_status.pl: New plugins for generate data
	and get Pandora FMS server status and load.

	* Config.pm, pandora_db.pl: Version update.

	* pandora_server.spec, 
	Makefile.PL, 
	pandora_server_installer: Updated paths and dependencies

2009-09-15  Sancho Lerena <slerena@artica.es>
	
	* util/pandora_backup.sh: Finished backup command line tool

2009-09-14  Sancho Lerena <slerena@artica.es>

	* bin/pandora_server: Now uses $Config{"enterprise"} to know if
	enterprise is loaded, and don't try to call enterprise_hook if is not.
	I experience a high rate of inventory-enterprise hook errors in log.

	* SNMPServer.pm: Dont call snmp_get_trap2agent enterprise_hook if 
	not enterprise loaded.

	* DataServer.pm: Dont call process_inventory_data if not 
	enterprise loaded.

	* util/pandora_backup.sh: New command line backup and restore tool.


2009-09-07  Sancho Lerena <slerena@artica.es>

	* util/pandora_db.pl: Fixed bad calculation of utimestamp limit
	purgin agent access data.

2009-09-04  Sancho Lerena <slerena@artica.es>

	* pandora_server.spec: Updated dependency for sudo.

	* util/tentacle_serverd: su cannot work as expected in SLES11, so
	we fallback to sudo again.

2009-09-03  Sancho Lerena <slerena@artica.es>

	* lib/PandoraFMS/PredictionServer.pm: Fixed some warning on non init
	  variables.

	* lib/PandoraFMS/Core.pm: Now uses alert name instead alert description
	in event description.

2009-09-02  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Core.pm: Decode HTML entities for all alert types.

2009-09-02  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Core.pm: HTML entities in alert fields are properly
	  decoded. Alert emails can be sent to multiple comma separated
	  addresses.

2009-09-02  Sancho Lerena <slerena@artica.es> 

	*  lib/PandoraFMS/PluginServer.pm, util/pandora_exec: Nagis plugin 
	support implemented and working.

2009-09-02  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Core.pm: Fixed the matches_value alert option (was not
	  working properly).

2009-09-02  Ramon Novoa  <rnovoa@artica.es>

	* conf/pandora_server.conf,
	  lib/PandoraFMS/Config.pm,
	  lib/PandoraFMS/Core.pm: Removed the inhibit_alerts configuration
	  token. Alert inhibition is configured on a per-agent basis.

2009-09-02  Ramon Novoa  <rnovoa@artica.es>

	* conf/pandora_server.conf: Added sample configurations for
	  inhibit_alerts and use_xml_timestamp.

	* lib/PandoraFMS/Config.pm: Added the inhibit_alerts configuration
	  token.

	* lib/PandoraFMS/Core.pm: Added the option to inhibit agent alerts if
	  the parent has fired a critical alert.

	* lib/PandoraFMS/DataServer.pm: Use the XML file last modification time 
	  if no timestamp is specified.

2009-09-01 Sancho Lerena <slerena@artica.es>

	* pandora_server.spec: Using chkconfig for service install. Using the new
	logrotate config for automatic logfile management. 

	* pandora_server_installer: Using new logrotate config file.
	
	* bin/pandora_server: Enterprise load notice are shown after main banner.
	
	* lib/PandoraFMS/Config.pm: Updated version (again).
	
	* util/pandora_logrotate: New conf file for /etc/logrotate.d/
	
2009-08-28  Ramon Novoa  <rnovoa@artica.es>

	* pandora_server.spec,
	  pandora_server_installer: Autocreate the conf and md5 subdirectories.

2009-08-27  Ramon Novoa  <rnovoa@artica.es>

	* util/tentacle_serverd: Remote config .conf and
	  .md5 files are now stored in different subdirectories.

	* bin/tentacle_server: Updated to latest version.

2009-08-25  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Core.pm: Fixed compound alerts.

2009-08-24 Sancho Lerena <slerena@artica.es>

        * lib/PandoraFMS/Core.pm: Condition trigger for WARNING and
        CRITICAL status was inverted. Fixed.


2009-08-24  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Config.pm,
	  lib/PandoraFMS/DataServer.pm: Added an option to ignore timestamps in
	  XML data files and use file timestamps instead.

2009-08-23  Sancho Lerena <slerena@artica.es>

	* util/tentacle_serverd: Using SU instead SUDO, idea from
	"paco", from our forums. This makes this script much more
	compatible with other systems, because sudo is not so common.

2009-08-22  Sancho Lerena <slerena@artica.es>

	* util/agent_names.txt, util/pandora_xml_stress.conf: delete this files
	because it's the local conf files generates for local configurations, and
	by mistake I upload.

2009-08-22  Sancho Lerena <slerena@artica.es>

	* pandora_server.spec: Update uninstall process.

2009-08-20  Sancho lerena <slerena@artica.es>

	* lib/PandoraFMS/Tools.pm: Undone commit of 19/8 to fix ugly mesg from
	enterprise load: was  breaking enterprise....

2009-08-19  Manuel Arostegui <manuel@todo-linux.com>

	* pandora_server.spec: Changed email.

2009-08-19  Sancho lerena <slerena@artica.es>

	* pandora_server.spec: Added nmap to required packages, removed xprobe2.
	
	* lib/PandoraFMS/Config.pm, conf/pandora_server.conf: New token for nmap.
	 
	* lib/PandoraFMS/ReconServer.pm: New parent detection, TCP scanning imple-
	mented using NMAP. Implemented TCP profile scanning.
	
	* lib/PandoraFMS/Tools.pm: Some reordering in pandora_get_os() gives
	more accurate OS guessing. enterprise_hook() now don't yell when enterprise
	is not found :-)

	* pandora_server.spec: Updated some dependencies. Also included the 
	install of pandora_db maintance script in cron.daily.
	
	* pandora_server, tentacle_serverd: Added short description to able
	yast visualizate correctly the description in software selection screen.
	
	* lib/PandoraFMS/Core.pm: Fixed problem with OS Detection at creation. Added
	support for AUTOTIME (time of data is given by the server instead by data
	coming from the agent) and autoimport of agent description. 

	* util/tentacle_serverd: Call to umask to let tentacle_server create
	files with mask 0007, because Enterprise version need to write files
	fetched with tentacle.

2009-08-12  sancho Lerena <slerena@artica.es>

	* pandora_server: Added LSB tags to startup daemon for SUSE

2009-08-11  Sancho Lerena <slerena@artica.es>

	* pandora_server: Using new method to get PID of process, compatible with
	any distro (SUSE problems reported). Removed old stuff and updated headers.
	
	* pandora_server_installer: A lot of improvementes and added separated code
	for Ubuntu/Debian and SUSE targets. Fixed some minor bugs reported.
	
	* bin/pandora_server: Added a new die handled for manage crashes and report
	more information into logs and console on startup. This helps to determine
	some common problems.
	
	* Config.pm: Updated version number.
	
	* util/tentacle_serverd: Fixed startup script to work also in SUSE. New
	code for getpid compatible with all distros.

	* Makefile.PL,  NetworkServer.pm: Removed Net::Ping dependency, 
	not used anymore. Pending to remove Date::Manip from pandora_db script.
	
2009-08-09  Sancho Lerena <slerena@artica.es>

        * pandora_server.conf: Removed deprecated parameter: Alert_threshold.

2009-08-04  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Core.pm,
	  lib/PandoraFMS/ReconServer.pm,
	  lib/PandoraFMS/DataServer.pm: Set group, description and post_process
	  when auto-creating an agent/module. 

2009-08-03  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Core.pm: Add id_agente to tagente_estado when
	  creating a new module.

	* lib/PandoraFMS/DataServer.pm: Added support for inventory XML files.

	* lib/PandoraFMS/Tools.pm: Moved get_tag_value function from
	  DataServer.pm to Tools.pm.

2009-07-30  Manuel Arostegui  <manuel@todo-linux.com>

	* SLES10/pandora_wmi, pandora_plugin, pandora_prediction
	pandora_snmpconsole, pandora_recon, pandora_server
	pandora_network: Deleted from repository. We don't need these
	 scripts anymore.

2009-07-24  Jorge Gonzalez  <jorgegonz@artica.es>

	* util/pandora_exec: added execution permision to plugin server.

2009-07-10  Manuel Arostegui <manuel@todo-linux.com>

	* pandora_server.spec: Changed the architecture, changed the
	release, the "_" was a mistake.

	* pandora_server: Added chkconfig handling.

2009-07-09  Manuel Arostegui <manuel@todo-linux.com>

	* pandora_server.spec: Removed unnecessary dependency.

2009-07-08  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Config.pm: Properly set the new agentaccess
	  config option. Fixes bug #2815878.

	* util/pandora_xml_stress.pl: Fixed config file comment detection.

2009-06-30  Manuel Arostegui <marostegui@artica.es>

	* pandora_server.spec: Now it builds packages for SLE9.

2009-06-30  Manuel Arostegui <marostegui@artica.es>

	* pandora_server.spec: Rewriten to fit 3.0 requirements.
	Succesfully built packages for: CentOS5, Fedora 11, RHEL5.Still
	needs some tests in SuSe.

2009-06-23  Sancho Lerena <slerena@artica.es>
	
	* lib/pandoraFMS/DataServer.pm, Config.pm: Fixes bug #2811605. This
	add a new config token to define max files queued to avoid problems
	reading incoming dir with huge number of files.

	* lib/PandoraFMS/Core.pm: Adds new feature to have optional agent
	access graph & data. Included to improve the performance in huge systems

2009-06-24  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Core.pm: Small fixes to compound alert and event
	  generation.

2009-06-15  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/SNMPServer.pm: Fixed the call to snmp_trap2agent (was
	  missing an argument).

2009-06-08  Ramon Novoa  <rnovoa@artica.es>

	* util/pandora_xml_stress.pl: Let the user specify the maximum number
	  of threads.

	* util/pandora_xml_stress.README: Updated the documentation.

2009-06-08  Sancho Leren <slerena@artica.es>

	* Header updates.

2009-06-05  Ramon Novoa  <rnovoa@artica.es>

	* util/pandora_xml_stress.pl,
	  util/pandora_xml_stress.README: Added to repository. XML stress tool
	  and README.

2009-06-02  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/DataServer.pm: Created a new function to retrieve XML
	  tag values ('suppressempty' not needed anymore).

2009-06-01  Sancho Lerena <slerena@artica.es>

	*  util/pandora_diagnostic.sh: Command line diagnostic tool  for
	gather information in order to diagnose problems in system running
	Pandora FMS. This returns a txt file with a lot of system information.

2009-05-27  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/ReconServer.pm: Interrupt recon tasks being executed
	  if the task was deleted.

2009-05-27  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Core.pm: Disabled string comparisons for
	  equal/not_equal alerts (use regex instead).

2009-05-27  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/DataServer.pm: Fixed timestamps for data lists. Made
	  XML::Simple return an empty string instead of an empty hash when an
	  empty value is found in an XML data file.

2009-05-12  Sancho Lerena <slerena@gmail.com>

	* pandora_package_installer: Removed old, unused script.

2009-05-04  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Core.pm: Reset server status at start-up in case the
	  server did not cleanly shut down the last time.
	
	* bin/pandora_server: Fixed min_ff_event calculation.

2009-05-04  Ramon Novoa  <rnovoa@artica.es>


	* lib/PandoraFMS/DB.pm: Enabled mysql_auto_reconnect.

	* lib/PandoraFMS/SNMPServer.pm, lib/PandoraFMS/PluginServer.pm,
	  lib/PandoraFMS/NetworkServer.pm, lib/PandoraFMS/WMIServer.pm: Log
	  error messages when external programs are not found.

2009-04-28  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/SNMPServer.pm: Disabled output from snmptrapd.

	* lib/PandoraFMS/Core.pm: Allow string comparisons for equal/not_equal
	  alerts.

2009-04-27  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Core.pm: Generate one event for each alert (instead
	  of one event for each action).

2009-04-27  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/ProducerConsumerServer.pm,
	  lib/PandoraFMS/Server.pm: Properly set task queue size for
	  statistics.

2009-04-24  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/SNMPServer.pm, lib/PandoraFMS/Core.pm: Generate
	  an event when executing a SNMP alert. Small fixes.

	* lib/PandoraFMS/ReconServer.pm: Enabled OS filtering.

2009-04-23  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/SNMPServer.pm: Add a newline character after
	  writing a trap to the SNMP log to make it more readable.

	* lib/PandoraFMS/PluginServer.pm,
	  lib/PandoraFMS/ProducerConsumerServer.pm, lib/PandoraFMS/Server.pm,
	  lib/PandoraFMS/PredictionServer.pm, lib/PandoraFMS/Core.pm,
	  lib/PandoraFMS/DataServer.pm, lib/PandoraFMS/NetworkServer.pm,
	  lib/PandoraFMS/WMIServer.pm: Properly set tagente_estado.running_by.

2009-04-23  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Core.pm: Fixed *inc data processing.

2009-04-22  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/SNMPServer.pm: Fixed SNMP alerts.

	* lib/PandoraFMS/Core.pm: Fixed forced alert execution.

2009-04-22  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Server.pm: Enabled thread status detection when
	  available.

	* lib/PandoraFMS/Core.pm: Fixed module status calculation. Moved and
	  rewrote the old pandora_ping* functions. Small aesthetic fixes.

	* lib/PandoraFMS/ReconServer.pm, lib/PandoraFMS/NetworkServer.pm: Use
	  the new pandora_ping* functions. The old functions were not thread
	  safe and had to lock.

	* bin/pandora_server: Properly shutdown on error.

2009-04-21  Jorge Gonzalez  <jorgegonz@artica.es>

	* util/pandora_dbstress.README: fixed many typos and width, now fits
	  80 columns.

2009-04-20  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Core.pm: Re-enabled detection of duplicate data
	  within a 48 hour interval.

2009-04-20  Sancho Lerena <slerena@artica.es>

	* pandora_server_installer: Added --no-tentacle switch, added more
	descriptive labels.

2009-04-20  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Core.pm: Fixed another typo.

2009-04-20  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/ReconServer.pm: Temporarily disabled TCP scans, the
	  Recon Server was too slow. Fixed a bug that reset recon tasks
	  when scanning large networks.

	* lib/PandoraFMS/DataServer.pm: Small fix.

2009-04-19  Sancho Lerena <slerena@artica.es>

	* bin/tentacle_server: Added to repo.

	* pandora_server_installer: Added tentacle install to setup process.
	
2009-04-17  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Core.pm, lib/PandoraFMS/DataServer.pm: Properly set
	  module interval when auto-creating modules.

	* lib/PandoraFMS/NetworkServer.pm: Disabled error messages from
	  snmpget. The logs where flooded with timeout messages.

	* util/pandora_db.pl: Updated to work with the new code.

2009-04-17  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/PluginServer.pm, lib/PandoraFMS/PredictionServer.pm,
	  lib/PandoraFMS/ReconServer.pm, lib/PandoraFMS/NetworkServer.pm,
	  lib/PandoraFMS/WMIServer.pm: Fixed some references to database
	  columns.

2009-04-16  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/ProducerConsumerServer.pm: Important fix. Queued
	  elements were processed in the wrong order.
	
	* lib/PandoraFMS/Core.pm, lib/PandoraFMS/ReconServer.pm,
	  lib/PandoraFMS/DataServer.pm: Updated pandora_create_agent to
	  reflect the latest changes. Some fixes to Recon Server.


2009-04-16  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/ReconServer.pm: Fixed a typo that made the server go
	  down.
	
	* bin/pandora_server: Prevent alarm from bombing the main thread when
	  called within a thread.

2009-04-14  Ramon Novoa  <rnovoa@artica.es>

	* pandora_ctl, pandora_network, pandora_wmi, pandora_plugin,
	  pandora_prediction, bin/pandora_wmi, bin/pandora_plugin,
	  bin/pandora_prediction, bin/pandora_snmpconsole, bin/pandora_recon,
	  bin/pandora_network, pandora_recon, pandora_snmpconsole: Deleted
	  from repository. Old server code and startup scripts.
	
	* Makefile.PL, pandora_server_installer, lib/PandoraFMS/Config.pm
	  lib/PandoraFMS/DB.pm, lib/PandoraFMS/Tools.pm, bin/pandora_server,
	  pandora_package_installer, pandora_server: Updated to work with the
	  new code, removed unneeded dependencies, fixed some bugs etc.

	* lib/PandoraFMS/SNMPServer.pm, lib/PandoraFMS/PluginServer.pm,
	  lib/PandoraFMS/ProducerConsumerServer.pm, lib/PandoraFMS/Server.pm,
	  lib/PandoraFMS/PredictionServer.pm, lib/PandoraFMS/Core.pm,
	  lib/PandoraFMS/ReconServer.pm, lib/PandoraFMS/DataServer.pm,
	  lib/PandoraFMS/NetworkServer.pm, lib/PandoraFMS/WMIServer.pm: Added
	  to repository. New server code.

2009-04-02  Sancho Lerena <slerena@artica.es>

	* DB.pm: Function to process SNMP Alerts was not properly exported, so
	SNMP alerts in some environments don't run. Fixed (this is ok in 2.1).
	
	* util/udp_client.pl: Client to connect with pandora windows agent mini
	server and using with alerts to manage remote process / services in Windows
	
	* util/mcast_client.pl: Tool to check the UDP multicast notification 
	service of Pandora.

2009-03-26  Evi Vanoost <vanooste@rcbi.rochester.edu>

	* lib/PandoraFMS/Tools.pm: Added Apple to the detected OS'es
	
	* bin/pandora_recon: Added TCP scanning if ICMP fails to more accurately
	detect systems that are firewalled from pings.
	
2009-03-05  Sancho Lerena <slerena@artica.es>

	* bin/pandora_network: Better management of snmpget binary call, using
	a config setup variable and checking it in startup.
	
	* pandora_server.conf: new options added (snmpget, UDP multicast)
	
	* Config.pm: New options managed (snmpget), new version updated (3.0-dev)
	
	* DB.pm: Fixed two issues that makes me some problems on undefined values.
	
	* Tools.pm: New function to manage numerical data.
	
	* util/plugin/multicast.pl: Fixed plugin for multicast check.
	
2009-03-04  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/DB.pm: Fixed alert recovery custom fields.
	  field3_recovery was not being properly set.

2009-02-20  Evi Vanoost <vanooste@rcbi.rochester.edu>

	* bin/pandora_snmpconsole: Fixed SNMP console going down while 
	waiting on snmpd

	* lib/PandoraFMS/DB.pm: Fixed language from going_down_normal to
	going_up_normal and going_up_critical to going_down_critical

2009-02-11  Evi Vanoost <vanooste@rcbi.rochester.edu>

	* bin/pandora_server: Fixed Data server. Wouldn't start because of 
	mismatched arguments.	

2009-02-11  Sancho Lerena <slerena@artica.es>

        * bin/pandora_network: Restored lock for icmp / ping calls.

2009-02-11  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/DB.pm: Combined alerts are working again.

	* bin/pandora_snmpconsole: Moved calcula_alerta_snmp to DB.pm so it
	  can be called from other modules.

2009-02-10  Sancho Lerena <slerena@artica.es>

	* bin/pandora_network: An important BUG discovered in SNMP call locking
	mechanism. Now calls to SNMP are using exec to snmpget command. Much  
	faster due solved locking problems.

2009-02-06  Sancho Lerena <slerena@artica.es>

	* util/plugin/multicast.pl: Multicast check plugin.  

2009-02-04  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/DB.pm: Read template default action on alert
	  execution.

	* bin/pandora_snmpconsole: Fixed SNMP alerts.

2009-02-04  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/DB.pm: Use db_do instead of db_update.

2000-02-03  Sancho Lerena <slerena@artica.es>

	* pandora_db.pl: BUGFIX. DB Maintance was deleting data older than 24hr
	since commit of 12th January!.
	
	* pandora_wmi, pandora_network, pandora_plugin: Algorithm upgraded. 
	First are executed modules with less margin until be considered down and 
	modules with flag of manual execution.
	
2009-01-30  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/DB.pm: Fixed regexp alerts.

2009-01-28  Sancho Lerena <slerena@artica.es>

	* bin/pandora_server: Fixed a typo in call to pandora_writestate() who
	makes server exiting with "Can't call method 'prepare'". That affects only
	to keepalive modules. Thanks to Esben for reporting.

2009-01-26  Sancho Lerena <slerena@artica.es>

	* DB.pm: Fixed NOT behaviour of alerts, now works as supposed to do.
	
	* pandora_db.pl: Deleted pending modules, fixed problems using bad DB
	function.

2009-01-26  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/DB.pm: Added a new alert macro (_address_).

2009-01-26  Manuel Arostegui <marostegui@artica.es>

	* util/udp_client: Added to repository. Remote alert execution
	script. To be used in "Command" section of the new alert
	system.

2009-01-24  Raul Mateos <raulofpandora@gmail.com>
	
	* lib/PandoraFMS/Config.pm: Changed some texts for last time. Use tabs
	instead spaces.
	
	* lib/PandoraFMS/Tools.pm: Header updated. Use tabs instead spaces.

2009-01-21  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/DB.pm: Changes in multicast change reports.

2009-01-21  Evi Vanoost  <vanooste@rcbi.rochester.edu>

	* lib/PandoraFMS/DB.pm: Fixes incremental modules

2009-01-21  Ramon Novoa  <rnovoa@artica.es>

	* pandora_server/lib/PandoraFMS/Config.pm: Updated configuration
	  options.

2009-01-21  Sancho Lerena <slerena@artica.es>

	* pandora_server_upgrade: Script to upgrade to latest version
	Pandora FMS server components / code.

	* bin/panora_network: Banner on load are rendered.

2009-01-21  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/DB.pm: Take into account the alert option
	  'matches_value'.

	* bin/pandora_server: Added support for forced alert execution.

2009-01-20  Sancho Lerena <slerena@artica.es>

	* Config.pm: Now works without breaking the server :-). Show verbose info
	only when verbosity enabled (>4).
	
	* pandora_server: more issues with verbosity level. Fixed a typo on 
	management of async_proc moduletypes. Freeing a hash reference on keepalive
	solves a memleak.

	* DB.pm: Converting to the same float when comparing two numbers.
	
2009-01-20  Evi Vanoost  <vanooste@rcbi.rochester.edu>

	* lib/PandoraFMS/Config.pm: Commented 2 lines that broke the server

2009-01-20  Raul Mateos <raulofpandora@gmail.com>
	
	* lib/PandoraFMS/Config.pm: Changed some texts again.
	* Changelog: Changed last commit date.

2009-01-19  Sancho Lerena <slerena@artica.es>

	* pandora_wmi, pandora_plugin, pandora_recon: Updates merged from
	2.0 version. Different small fixes and improved performance.

	* DB.pm: Support for fixes in wmi/plugin server. Call of enterprise 
	function pandora_mcast_change_report() is done now on real status change
	code not in alert. Added update_on_error() function to update status table
	when remote modules cannot init (update last_try field to avoid unnecesary
	attempts).

	* Config.pm: Build update, some stuff cleaned. Server startup info is show
	only when verbose level is activated.
	
	* pandora_network: Startup messages are not shown if verbose < 5.

2009-01-16  Raul Mateos <raulofpandora@gmail.com>
	
	* lib/PandoraFMS/Config.pm: Updated Build and Headers.
	Changed some texts.

2009-01-16  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/DB.pm: Several fixes.

2009-01-15  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/DB.pm: min_alerts now works as expected.

2009-01-15  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/DB.pm: Partially rewrote the alert core to support the
	  new DB schemas. Compound alerts have been temporarily disabled.
	  Rewrote alert macro substitution code.

	* lib/PandoraFMS/Tools.pm,
	  bin/pandora_snmpconsole: Aesthetic changes to enterprise code.

	* lib/PandoraFMS/Config.pm,
	  bin/pandora_network: Added support for UDP multicast status reports
	  (enterprise version).

2009-01-14  Sancho Lerena <slerena@artica.es>

	* DB.pm: Solved an invalid reference to hash variable affecting to
	postprocess calculation.

	* pandora_recon: Now is compatible with the latest changes. Solved a
	problem in eval() block. Also fixed a old bug mixing network profiles.
	This fix will be ported to stable version ASAP.


2009-01-12  Sancho Lerena <slerena@artica.es>

	* Makefile.PL: Path to libs was wrong. Fixed.
	
	* pandora_db.pl: Fixed small bug.

2009-01-12  Sancho Lerena <slerena@artica.es>

	This is a MAJOR upgrade that _BREAK_ your current 2.1 trunk version.
	Needs an upgrade of DB Schema. At this time no conversion tool has been
	provided. Libs and console needs also to be re-deployed.
	
	* pandora_server: KeepAlive module is now processed OUTSIDE 
	pandora_lastagentcontact() function, in it's own function. This makes that
	keepalive only be refreshed on agent data, not network. This should 
	make keepalive works as "agent down detector" in a definitive way, also
	it's an important performance improvement operation.
	
	* pandora_db.pl: Performance improvements. If compact days = 0 skip. 
	Compactation and delete needs to be improved in speed.
	
	* DB.pm: Added more generic DB access functions (db_insert, db_update, 
	db_delete). Major rewrite of pandora_writestate(). Now uses three different
	values for status (NORMAL, WARNING, CRITICAL) and manage all modules like
	old monitor modules. Uses new fields for control event flip/flop with a 
	counter. Also uses new WARNING/CRITICAL thresholds to calculate in store-
	time the status.
	
	pandora_accessupdate() Function now uses only utimestamp. Tagente_datos and 
	tagente_datos_string has been updated and do not use timestamp (string) and
	id_agent index anymore. Big improvement has been noticed in performance 
	tests after this change !. tagente_datos_inc has been modified also.
	
	pandora_writedata() needs a lot of improvement :(. Added support for 
	modules without history. 

2008-12-23  Ramon Novoa  <rnovoa@artica.es>

	* bin/pandora_recon: Added a timeout to pandora_getparent(). The call
	  to traceroute() would hang despite query_timeout being set.

2008-12-10  Evi Vanoost <vanooste@rcbi.rochester.edu>

	* lib/PandoraFMS/DB.pm: New table layout doesn't require timestamp anymore
	
2008-12-03  Sancho Lerena <slerena@artica.es>

	* mysql_plugin.sh: Updated MySQL plugin. 

2008-11-26  Sancho Lerena <slerena@artica.es>
	
	* util/plugin/mysql_plugin.sh: New Mysql plugin for Plugin server.

2008-11-11  Sancho Lerena <slerena@artica.es>

	* conf/pandora_server.conf: Added mta_user parameter who defines
	mail address used for alerts.

	* pandora_ctl: General control script to start/stop Pandora FMS
	daemons.

	* util/SLES10/*: Alternative start/stop daemons for SUSE and
	other systems that don't work fine with standard scripts.

2008-11-08  Sancho Lerena <slerena@gmail.com>

        * Config.pm: Fixed bug parsing config options with more
        than 2 digits. Thanks to Glen Eustace.

2008-11-07  Sancho Lerena <slerena@artica.es>

        * bin/pandora_server: Fixed an important problem detected
        in Keepalive module, present since revision #678.

2008-11-04  Ramon Novoa  <rnovoa@artica.es>

	* bin/pandora_snmpconsole: Added support for extended trap information
	  (enterprise version).

	* bin/pandora_network: Updated function header.

2008-11-04  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Config.pm,
	  lib/PandoraFMS/DB.pm,
	  lib/PandoraFMS/Tools.pm,
	  bin/pandora_snmpconsole: Added support for enterprise version
	  features.

2008-10-30  Sancho Lerena <slerena@gmail.com>

	* lib/PandoraFMS/DB.pm:  Some people reports problems with 
	server stop detection. This could help, because has optimized
	way to detect servers, but is not a bugfix because I cannot 
	reproduce the problem.

	* Config.pm: Updated version.

	* server/Launcher scripts: Updated version.

2008-10-22  Evi Vanoost  <vanooste@rcbi.rochester.edu>

	* bin/pandora_snmpconsole: Feature request #2166257

2008-10-20  Esteban Sanchez  <estebans@artica.es>

	* lib/PandoraFMS/DB.pm: Fixed a strange bug that was causing to
	generate events of servers going down, the solution was to update
	own keepalive before checking others server status. Tab style
	correction, replacing blankspaces with tab.

2008-10-20  Manuel Arostegui <marostegui@artica.es>

	* pandora_server_installer: Added dependency

2008-10-16  Sancho Lerena <slerena@artica.es>

	* Config.pm: Version update.

	This should be the final commit for 2.0 stable version.  

2008-10-10  Sancho Lerena <slerena@artica.es>

	* bin/pandora_snmpconsole: Trap SNMP forward not will included in 
	this version, moved to 2.1 roadmap.

	* bin/pandora_snmpconsole: Added support to get custom value, 
	custom type and custom OID. Code for trap2agent forward feature
	not fully implemented, don't work yet, need finish.
	
	* util/pandora_db.pl: Now delete also events and session information.
	String data is using utimestamp to purge (faster!).

2008-10-02  Ramon Novoa  <rnovoa@artica.es>

	* bin/pandora_network: Added support for multiple SNMP versions.

2008-09-08  Raul Mateos <raulofpandora@gmail.com>

	* README: Updated version and URL.
	
	* lib/PandoraFMS/Config.pm, pandora_package_installer, pandora_server_installer, 
	pandora_server.spec: Updated URL.
	
2008-09-24  Ramon Novoa  <rnovoa@artica.es>

	* bin/pandora_wmi: Added WMI namespace support.

2008-09-18  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/DB.pm: Added Export Server support.

2008-09-16  Sancho Lerena <slerena@artica.es>

	* util/plugin/ssh_pandoraplugin.sh: New remote SSH exec plugin.

	* util/plugin/ssh-exec_pandoraplugin.pl: Deleted old one because
	it has A LOT of problematic dependencies.

2008-09-15  Ramon Novoa  <rnovoa@artica.es>

	* bin/pandora_server: Use data timestamp when available (instead of
	  agent timestamp).

2008-09-08  Raul Mateos <raulofpandora@gmail.com>

	* util/pandora_db.pl: Updated year and URL.
	
	* util/pandora_dbstress.pl: Updated year and build.
	
	* pandora_*: Updated headers with build and new URL, better style

2008-09-03  Sancho Lerena <slerena@gmail.com>

	* pandora_server_installer: Added more info about some dependencies.

	* pandora_package_installer: The same.

	* util/pandora_db.pl: Fixed problem deleteing tevent table.

2008-09-01  Sancho Lerena <slerena@gmail.com>

	* lib/PandoraFMS/DB.pm: Sending mail now replaces macros also 
	in the subject.

2008-08-28  Evi Vanoost <vanooste@rcbi.rochester.edu>
	
	* util/pandora2ast: Pandora to Asterisk script. Check README for how to
	install it and use it

2008-08-28  Manuel Arostegui <marostegui@artica.es>

	* conf/pandora_server.conf: Fixed small typo.

2008-08-26  Sancho Lerena <slerena@artica.es>

	* pandora_*installer: Minimal fix creating cront task in installer

2008-08-25  Ramon Novoa  <rnovoa@artica.es>

	* bin/pandora_wmi: Check for wmic execution errors.

2008-08-24  Sancho Lerena <slerena@gmail.com>

	* pandora_package_installer: New script for install binary
	PandoraFMS servers precompiled with pp. 

	* pandora_recon: Added detection of Net::Traceroute::PurePerl
	to disable parent detection if dependencies not installed.

2008-08-22  Sancho Lerena <slerena@gmail.com>

	* Makefile.PL: Added WMI and fixed lot of small things.

	* pandora_server_installer: Fixed several things.

	* pandora_wmi: Launcher script added.

	* lib/PandoraFMS/Config.pm: Update version.

	* lib/PandoraFMS/DB.pm

	* lib/PandoraFMS/Tools.pm: Added defined check in limpia_cadena().
	This should fix warning message on some calls.

	* bin/pandora_snmpconsole: Fixed code for SNMP TRAP alerts.

2008-08-21  Sancho Lerena <slerena@gmail.com>

	* lib/PandoraFMS/DB.pm, bin/pandora_server: Enabled again 
	downtime scheduler. Now works fine, tested.

2008-08-07  Sancho Lerena <slerena@gmail.com>
	
	* bin/pandora_server: Disabled downtime server code until
	we can review changes in db structure from new code / console.

2008-08-05  Sancho Lerena <slerena@gmail.com>

	* bin/pandora_recon: New functional recon server. It implements 
	different recon tasks based on OS type. Uses a production/consumer
	thread model, detec OS typew and assign automatically network profiles
	(including new WMI components) and WMI, Plugin, Network and Prediction
	servers, taken the first master server that could found. Uses xprobe2
	external tool to detect remote OS.

	* Makefile.PL: Added new dependencies (HTML::Entities), and new
	binary tool for controlled time executing (pandora_exec), used now
	by pandora_wmi and pandora_plugin.

	* Config.pm: Fixed problem parsing xprobe2 command.

	* DB.pm: Functions pandora_create_agent() and pandora_event() moved
	from Tools.pm to here. Removed some old DEBUG messages.

	* Tools.pm: Moved pandora_create_agent() and pandora_event() to DB.pm

2008-08-01  Ramon Novoa  <rnovoa@artica.es>

	* bin/pandora_wmi: Removed the timeout mechanism.
	* bin/pandora_plugin: Removed the timeout mechanism. pandora_exec is
	  used instead.

2008-07-31  Ramon Novoa  <rnovoa@artica.es>

	* util/pandora_exec: Added to repository. Perl script to control
	  command execution timeouts.

2008-07-30  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/DB.pm,
	  bin/pandora_wmi: Small fixes.

2008-07-30  Sancho Lerena <slerena@gmail.com>

	* lib/PandoraFMS/DB.pm: FIXED a stupid bug that makes impossible to 
	process any data :(. This bug was introducted by me at 25 July.

2008-07-29  Ramon Novoa  <rnovoa@artica.es>

	* bin/pandora_wmi: Small fixes.

2008-07-25  Sancho Lerena <slerena@gmail.com>

	* pandora_network: Added a defined() check for tcp_send string.

	* pandora_server: Added call to function pandora_planned_downtime().
	This implements planned downtimes on data server only.

	* DB.pm: Small optimization on bad data: pandora_writedata and 
	pandora_writestate return -1 on bad values and skip processing data. 
	More checks on undefined data (pandora_writestate). 
	Added code for planned downtimes, in function pandora_planned_downtime().
	Patch for adding [RECOVER] on f2/f3 if blank. Submitted by Kato Atsushi
	Now Monitor down has priority Warning and Monitor UP priority normal.

	* pandora_*servers*: Added inmediatly status change in tserver table on 
	controlled shutdown, this could be a ordered shutdown, a kill or a CTRL-C

2008-07-23  Sancho Lerena <slerena@gmail.com>

	* Makefile.PL: Removed reference to export_server.

	* DB.pm: Fixed bug that causes to do not store string data. Added checks
	for aviod null text and skip max/min checks for string types.

2008-07-22  Sancho Lerena <slerena@gmail.com>

	* pandora_network: Minimal style changes. Added status change in 
	tserver table on controlled shutdown.

	* pandora_server: Added status change in tserver table on controlled 
	shutdown. Minimal changes and optimizations. Recheck for bad XML is 
	adjusted to 3 instead 10.Fixed problem with "blank" agent names. Added
	support for async types (data, proc and string).

	* config.pm: Added support for new config token: max_log_size. This
	stablish a max log filesize.

	* DB.pm: Added support for postprocess (as simple multiplier value). 
	Fixed problem with continuous update of laststart in server keepalive.
	Updated also several logger priorities (raise them).

	* Config.pm: pandora_get_os() fixed for void OSes. Logger() implements
	a file-rotation system with a maximum in bytes for PandoraFMS log file.
	
	* pandora_server.conf: Updated with new options and removed some from 1.3.1
 	
	* pandora_export: Deleted skeleton file por export server. 

2008-07-11  Evi Vanoost <vanooste@rcbi.rochester.edu>

	* pandora_server/pandora_network
	* pandora_server/pandora_recon
	* pandora_server/pandora_plugin
	* pandora_server/pandora_prediction: Updated the queries it performs. Made the MASTER server query a nested query, that way you don't join thousands of records (it was up to 6000 in my environment) while you only need a few records. It won't log as a slow query (indexes are used)

2008-07-10  Evi Vanoost <vanooste@rcbi.rochester.edu>
	
	* pandora_server_installer: Some typos

2008-07-08  Sancho Lerena <slerena@gmail.com>

	* pandora_server: An event is generated if a BAD XML is detected.

2008-07-06  Sancho Lerena <slerena@gmail.com>

        * pandora_network: Added a patch from godzone-nz, to implement
        in TCP remote checks a multi-request meth (also in 1.3.1 version).

2008-07-02  Sancho Lerena <slerena@gmail.com>

	* pandora_wmi: Finished first functional version. Uses wmic from
	samba project (Ubuntu has in official repos). This is a first 
	functional prototype, not to be tested on production sites.

	* pandora_plugin: fixed some bad strings.

2008-06-30  Sancho Lerena <slerena@gmail.com>

	* util/plugin/udp_nmap_plugin.sh: Added UDP port check plugin
	that uses NMAP to check if UDP ports are open.      

2008-06-19  Sancho Lerena <slerena@gmail.com>

	* pandora_plugin: Added startup script.

	* Makefile.PL: Added new perl dependencies.

	* pandora_recon: Added sleep to main loop to save CPU.

2008-06-18  Sancho Lerena  <slerena@gmail.com>

    * pandora_dbstress.pl: Added suppor for "text" moduletypes.
    
    * pandora_recon: Now is multithreaded. Better management of already
    registered IP's. Better status update. Some fixes (xprobe2 crash).

    * Config.pm: Added support for recon_threads token.

    * Tools.pm: added pandora_trash_ascii(), autocreate
    set agent in learning mode automatically.

2008-06-17  Sancho Lerena <slerena@artica.es>

	* config.pm: Added options for xprobe2, and autocreate.

	* tools.pm: Added functions pandora_create_agent(), pandora_get_os(),
	and pandora_event() (this has been moved from DB.pm).

	* pandora_server.conf: Added options for xprobe2, autocreate and
	autocreate_group.

	* pandora_network: Added support for TCP scanning (not implemented in
	console yet), parent detection using traceroute, OS fingerprinting with
	xprobe2, event creation using central functions, and some optimizations.

	* pandora_server: Added support for agent autocreation, OS detection from
	the XML header, and event notification "new_agent" type.

	* pandora_recon: First code to implement traceroute functionality
	using Pureperl module.  Added code for remote OS fingerprinting.


2008-06-16  Sancho Lerena <slerena@artica.es>

	* pandora_snmpconsole: Solved a few bugs detected by Manu.

2008-06-13  Sancho Lerena <slerena@artica.es>

    * conf/pandora_server.conf: Added new internal MTA feature config tokens .
    
    * pandora_server_installer: Copy default plugins to /usr/share/pandora/util
    
    * Config.pm: New MTA feature tokens, and added event when starting server.
    
    * DB.pm: Changes in execute_alert function (now passes several hash refs).
    Alerts and events now use new format of events. Add support for new inter-
    nal MTA/SMTP alert feature. Discovered and FIXED a very annoying bug on
    need_update usage in write_state function that was making a HUGE 
    degradation when too many non-init modules in network server.
        
    * Tools.pm: Added pandora_sendmail() function. Needs Mail::Sendmail dep.
    
    * All servers: Support for pandora_shutdown notify on event database.
    
    * pandora_snmpconsole: Updated SNMP alert mechanism. Need to be tested!.
    
    * pandora_recon: Now generate an event when discover a new host.
    
    * util/pandora_db.pl: Added support to automatically delete events.


2008-06-12  Manuel Arostegui <marostegui@artica.es>

	* pandora_snmpconsole: Removed "/var/run/pandora" we are
	not using that directory anymore, but "/var/run".

2008-05-27  Manuel Arostegui <marostegui@artica.es>

	* pandora_server_installer: Fixed stupid bug related with
	the symbolic links of the core components.

2008-05-21  Ramon Novoa  <rnovoa@artica.es>

	* util/tentacle_serverd: Removed unused code.

2008-05-19  Ramon Novoa  <rnovoa@artica.es>

	* bin/pandora_server: Added support to process multiple data
	  from a single module.

2008-04-24  Ramon Novoa  <rnovoa@artica.es>

	* util/pandora_db.pl: Rewrote and enabled pandora_compactdb.
	  Small fix to pandora_purgedb.

2008-04-23  Sancho Lerena <slerena@artica.es>

        * Config.pm: Added dataserver_thread config token

        * bin/pandora_plugin: Some minimal thread improvements (yield)

        * bin/pandora_server: Uses dataserver_thread token to set up
        number of starting threads.

        * bin/pandora_network: Added more thread yields.

        * util/plugin: Added new directory for "standard" plugins. 
        Added the first plugins here. Expect more in the future :-)

        * plugin/openvpn_pandoraplugin.pl: Connects to openvpn daemon
        and report number of active sessions.

        * plugin/ssh-exec_pandoraplugin.pl: Execute a remote command
        using Perl (Net::SSH::Perl) SSH functions.

2008-04-22  Ramon Novoa  <rnovoa@artica.es>

	* bin/pandora_plugin, bin/pandora_prediction,
	  bin/pandora_network: Consumer threads now check for data
	  availability after lock() to avoid race conditions.

2008-04-22  Ramon Novoa  <rnovoa@artica.es>

	* bin/pandora_server: The data server now uses the producer/consumer
	  model, like the rest of the servers. .checksum files are no longer
	  used.

2008-04-17  Sancho Lerena <slerena@artica.es>

	* lib/PandoraFMS/Config.pm: Shorten description in help.

	* lib/PandoraFMS/DB.pm: Data server module autocreation don't
	assign a id_module to tagente_module record. Fixed.

2008-04-16  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/DB.pm: Small code optimization. Took a couple
	  of prepare statements out of a loop.

2008-04-16  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/DB.pm: Rewrote the alert engine. Small fixes.

2008-04-09  Sancho Lerena <slerena@gmail.com>

	* AUTHORS, README: Updated.

	* util/pandora_db.pl: Modified version of compactation funtion
	needs to be tested, not functional yet.

	* Makefile.PL: Updated install for new servers.

	* bin/pandora_snmpconsole, pandora_export, pandora_recon,
	pandora_server: Fix problem with old daemonize call.

2008-04-08  Sancho Lerena <slerena@gmail.com>

	*  pandora_server_installer: Updated some strings and version. 
	Added new servers.
	
	* lib/PandoraFMS/Config.pm: Included support for export server.

	* bin/pandora_export: Export server skeleton.

2008-04-01  Sancho Lerena <slerena@gmail.com>

	* bin/pandora_prediction: Fixed several problems with
	prediction on anomaly detection. Tested and works fine for me.

	* DB.pm: Fixed problem in combined alerts. Removed some
	log entries.

2008-04-01  Ramon Novoa  <rnovoa@artica.es>

	* util/tentacle_serverd: Changed default port and address (now
	  listens on all local interfaces by default).

2008-04-01  Jorge Gonzalez  <jorge.gonzalez@artica.es>

	* README: Removed duplicated dependency package.

2008-03-27  Ramon Novoa  <rnovoa@artica.es>

	* lib/PandoraFMS/Config.pm, lib/PandoraFMS/DB.pm: Added
	  compound alert support.

2008-03-25  Ramon Novoa  <rnovoa@artica.es>

	*  util/tentacle_serverd: Added to repository. Tentacle server
	   simple startup script.

2008-03-19  Manuel Arostegui <marostegui@artica.es>

     * pandora_server.spec: Added to repository. New spec
          file for 1.3.X pandora server version.

    * specs/*: Deleted this directory and the files inside,
          they are all deprecated.

2008-03-13  Sancho Lerena <slerena@gmail.com>

    * lib/PandoraFMS/Config.pm: New pandora_startlog function. Added support to manage PID
    in daemon mode. Added support for quiet mode. Added prediction_threads option. 

    * lib/PandoraFMS/Tools.pm: daemonize function now manages PID and store in a file when
    it forks. 

    * lib/PandoraFMS/DB.pm: Removed some gotos.  Modified generic-access DB functions and 
    added one to manage entire row in a hash: get_db_free_row ().

    * bin/pandora_plugin: A lot of fixes. This code actually works fine :-)

    * bin/pandora_prediction: First version of usable code. Works but not seriously tested.

    * bin/pandora_network: Adjusted to work with new features (quiet mode) and new db 
    schema. Some code cleanup.

    * util/pandora_dbstress.pl: Updated default values.

    * util/pandora_dbstress.README: Improved README documentation for dbstress tool.

2008-03-11 Manuel Arostegui <marostegui@artica.es>

        * pandora_server, pandora_network, pandora_recon:
        Added pidof checking to check the PID of the process.

2008-03-06  Sancho Lerena <slerena@gmail.com>

        *  conf/pandora_server.conf: New tokens for the new servers.

        * lib/PandoraFMS/Config.pm: Added support for WMI Server.

        * lib/PandoraFMS/DB.pm: Updated pandora_updateserver function.

        * bin/pandora_wmi: Skeleton of WMI server, not functional, only
        a concept proof and initializacion for create a WMI server.

        * bin/pandora_plugin: Almost functional code, fully skeleton,
        initializacion and modules.

2008-02-25 Sancho Lerena <slerena@gmail.com>

	* conf/pandora_server.conf: Added new tokens.

	* lib/PandoraFMS/Config.pm: Code cleanup and add support for 
	new prediction and plugin server. Added better checks to clean
	blank spaces inside config tokens.

	* lib/PandoraFMS/DB.pm: Added comment to the only generic function
	to database we have. 

	* lib/PandoraFMS/Tools.pm: Created a new function to clean 
	blank spaces, and used to clean setup file parsing.
	
	* bin/pandora_plugin: New plugin server skeleton, not functional
	yet. Need much more improvement, but code skeleton is done.

2008-02-20 Sancho Lerena <slerena@gmail.com>

	* Merged latest changes on stable branch to trunk. Let's go to
	1.4 version !!	

2008-02-13 Sancho Lerena <slerena@gmail.com>

	* pandora_server.conf: Added default entry for 
	snmp_proc_deadresponse
	
	* pandora_network: Fixed problems for snmp_proc module. Tested on 
	heavy load systems. Now works very fine.

2008-02-10 Sancho Lerena <slerena@gmail.com>

	* Config.pm: Added support for new config token: 
	snmp_proc_deadresponse. Used to report bad monitor status from
	snmp if a snmp monitor request have errors (timeout or unknown OID)

	* pandora_network: Fixed bug for float data in snmp_data modules and 
	negative values. Code cleanup and trying a new method (more fast and 
	simple) to get SNMP data (using get method instead getnext). Better
	error detection and reporting. Pending to test in heavy loaded envi-
	ronment locking mechanism for session contruction.

2008-01-25 Sancho Lerena <slerena@gmail.com>

	* lib/PandoraFMS/Config.pm, bin/pandora_network, 
	conf/pandora_server.conf: New options for tcp/snmp retries and timout

2008-01-21 Sancho Lerena <slerena@gmail.com>
	
	* pandora_db.pl: Disable compactation until fix bug in compactation
	function that currently delete data insted compacting it.  

2008-01-14 Sancho Lerena <slerena@gmail.com>

	*  conf/pandora_server.conf: New token for activate alert recovery: 
	alert_recovery 1/0 (disabled by default to retain compatibility).

	* Config.pm: Support for new alert_recovery option.

	* DB.pm: Implementation for alert_recovery option. Added flag to pass
	to execute_alert function to do not create event on alert firing due
	event is previously generated on calculate_alert function. Changes for
	management of data_proc type. If data is invalid (void or "") now this
	situation is managed as "invalid data" or "cannot get data" and set to
	"BAD" status and data 0 to have the same behaviour that icmp_proc and 
	tcp_proc (snmp_proc behaviour is also changed in pandora_network on this
	commit also).

	* pandora_snmpconsole: Fixes call for execute_alert (added flag to 1).

	* pandora_network: snmp_proc returns 0 value and bad status if cannot
	contact or cannot set SNMP session (read above).

2008-01-11 Sancho Lerena <slerena@gmail.com>

	* DB.pm: Fixed alert management for KeepAlive module. (Optional) Code for 
	notify on alert recovery.
	
	* pandora_network: Better management of thread locking. This should fix 
	latests problems reported.
	
2008-01-10 Sancho Lerena <slerena@gmail.com>

	* Config.pm: Version number update.
	
	* DB.pm: Support to manage keepalive modules in the correct way (more fixes)
	
	* pandora_server: Minimal improvement on zero data files, and new keepalive 	
	mamagement (more fixes over yesterday code).
	
	This is the first 1.3.1 version commit (Server)

2008-01-08  Sancho Lerena  <slerena@gmail.com>

        * Config.pm: Updated version to 1.3.1-dev
        
        * DB.pm: Added generic db function give_db_free(). keepalive modules area
        managed differently. Now have type 100 and update only tagente_estado table
        discarding historic data, but are managed like other module. Update data (OK)
        when updating tagent_access. Old Keepalive modules are deprecated and not used
        since from 1.2 version was not working :(

        * pandora_snmpconsole: Some small fixes from unknown user.

        * pandora_server: Ignore files with size 0 (expect to solve problems with 
        zerobyte BADXML files, need more testing...). Keepalive module management
        are now managed in a different way. This works for me but needs more testing.

        * pandora_network: Minimal optimization in locking for SNMP threads.

2007-12-19  Sancho Lerena <slerena@gmail.com>

	* bin/pandora_network: Fixed bug #1854340, problem with file descriptors
	on heavily loaded network servers. Other minor issues added.

	* lib/Config.pm: Upgraded version number to 1.4-dev

2007-12-17  Ramon Novoa  <rnovoa@artica.es>

	* util/n2p.pl: Added to repository. Nagios to Pandora FMS migration
	script.

	* util/n2p.README: Added to repository. Nagios to Pandora FMS migration
	guide.

2007-12-04  Sancho Lerena  <slerena@gmail.com>

	*  lib/PandoraFMS/Config.pm, bin/pandora_network: This little portion of
	code should fix problem detected in some very extrange module "blackout" 
	effect reported by Corona. Need check and testing before get as final.

2007-11-20  Manuel Arostegui <marostegui@artica.es>

	* pandora_snmpconsole,pandora_server,pandora_recon,pandora_network: Fixed
	  bug #1822659.

2007-11-19  Sancho Lerena <slerena@gmail.com>

	* pandora_network: Fixed problem with default retries of SNMP library. Now is 0
	
2007-10-09  Sancho Lerena <slerena@gmail.com>

	* pandora_snmpconfole: Fixed parameter for snmptrapd call (%a instead %B). This
	was causing problems (do not detect IP Address) on Redhat systems.

2007-10-08  Sancho Lerena <slerena@gmail.com>

	* lib/PandoraFMS/Config.pm: Updated build number.

	* lib/PandoraFMS/DB.pm: Fixed some problems with alert recovery/expired method, 
	that causes to do not recognize expired alerts in some situations (min_alert=0).

2007-10-04  Sancho Lerena <slerena@gmail.com>

	* lib/PandoraFMS/DB.pm: Fixed a missing $ in sub header definition for args :( 
	and some warnings also fixed.

	* conf/pandora_server.conf, lib/PandoraFMS/Config.pm, bin/pandora_network:

	Merged code from NG branch: Added multiping check (global setting 'icmp_checks')
	on network server because in some WAN enviroments with erratic packet loss on non TCP
	connections would cause recurrent false positives. New config token added to config
	file (icmp_checks).

2007-10-03  Sancho lerena <slerena@gmail.com>

	* lib/PandoraFMS/DB.pm: Fixed alert that fires always one time more than
	max_alert defined. Also fixed several issues with "Ceased" support for alerts
	and correct internal_counter problem. Now works fine !

	* util/pandora_db.pl: Purge of tagent_access was not working fine, and fixed
	another problem with id_agent 0 data in tagente_datos.

	After about 12 hours of intense testing this seems to work very fine, probably
	this server code will be the final ! :-)

2007-10-02  Sancho Lerena  <slerena@gmail.com>

	* lib/PandoraFMS/DB.pm: Updated and fixed several problems with alerts. 
	Now notification of alert ceased is properly implemented and works
	inside threshold timegap. Event are fired using alert description and not
	alert type, and automatically ceased alerts (depending on min_alert and 
	internal counter) give up alert status and generate event.

	* bin/pandora_snmpconsole: Updated call to execute_alert.

2007-10-01  Sancho Lerena  <slerena@gmail.com>

	* lib/PandoraFMS/DB.pm: Fixed bug for autoimported modules #1805654

	* lib/PandoraFMS/DB.pm: Fixed problem with fixed alerts. Now reports when 
	problem its fixed in event manager (after threshold expires!).

2007-08-28  Sancho Lerena  <slerena@gmail.com>

	* util/pandora_db.pl: Added some fixes and new checks for database
	consistency. Also purge non-init modules (needed to avoid unused modules 
	that take too much time on network servers!).

2007-08-27  Sancho Lerena  <slerena@gmail.com>

        * lib/PandoraFMS/Config.pm: Updated version string.

        * bin/pandora_network: Fixed BUG with SNMP Timeout (net-snmp uses MICROSECONDS
        instead seconds!)

2007-08-23  Sancho Lerena  <slerena@gmail.com>

	* Fixed a BUG in daemon launcher scripts that makes to do not stop servers :(
	
	* Added a updated README.

	* lib/PandoraFMS/Config.pm, bin/pandora_snmpconsole: Real fix for problem in 
	snmplogfile.

2007-08-21 Sancho Lerena <slerena@gmail.com>

	* conf/pandora_server.conf: Final fixes for default file.

	* lib/PandoraFMS/Config.pm: Fixed stupid typo in snmpconsole parameter.

	* bin/*: Disabled flush for each I/O (ready for production).

2007-08-06 Sancho Lerena <slerena@gmail.com>

	* DB.pm: Alert time support uses TIME format instead numeric (changes requested
	by esanchezm).

2007-08-02 Sancho Lerena <slerena@gmail.com>

	* Makefile.PL: Missing dep updated and .pl extensions purged.

	* All (4) startup scripts: Updated startup script.

	* lib/PandoraFMS/Config.pm: Now servers dont get "Homedir" from command line, get
	config file directly

	* bin/pandora_recon, bin/pandora_server, bin/pandora_network, bin/pandora_snmpconsole:
	Renamed (deleted .pl).

	* Final changes (link is now over bin, and lib is real dir, for work
	with Makefile.PL).

	* lib: Linked to bin/PandoraFMS, for use in Makefile.PL

	* Makefile.PL: Perl standard interface for make (to install)

	* bin/pandora_db.pl: Some small fixes and information strings updated.

2007-07-31  Sancho Lerena  <slerena@gmail.com>

        * util/snmptrapd: Deleted binary.

        * pandora_snmpconsole: Fixed startup scripts. Many checks added to
        manage NetSNMP Trap daemon. Now uses /usr/sbin/snmptrapd by
        default. Solved many problems. This also solve bug #1763691.

        * conf/pandora_server.conf: Added snmp_logfile token (before
        inside CODE!, UGLY!).

        * bin/pandora_network.pl: I hope Fixed BUG #1763305 with Master Server.

        * bin/PandoraFMS/Config.pm: Support for config token snmp_logfile.

        * bin/PandoraFMS/DB.pm: Fixed (stupid) BUG #1763304 with alerts.

        * bin/pandora_snmpconsole.pl: Removed logfile filename from code
        (VERY ugly!).

        * pandora_server, pandora_network, pandora_recon: This also solve
        bug #1763691. Some additional checks included.

        * util/pandora_SNMP_test.pl: Removed, old stuff.

2007-07-20 Sancho Lerena  <slerena@artica.es>

	* pandora_network.pl: Fixed a typo in pandora_ping_latency function.

2007-07-19  Sancho Lerena  <slerena@artica.es>

	* bin/pandora_DBI_test.pl: This is in /util and shound not be there.

	* pandora_network.pl: Added concurrency locking for ICMP and
	removed previos method (repeating tests). This sould work fine and
	faster. ICMP Latency added as independent function. This sould go
	on a new library for 1.4 or 2.0 version. Removed some debug
	commented code.

2007-07-18  Sancho Lerena  <slerena@artica.es>

	* pandora_network.pl: BugFix: SNMP calls that was causing segfauls was
 	because NetSNMP (SNMP) library is not thread safe !. Simple locking
	mechanism was enough to run code safely !. Main SQL sentence fixed,
	removed some debug code. 

	* pandora_server.conf: added sample of network_thread token

2007-07-17  Sancho Lerena  <slerena@artica.es>

	* PandoraFMS/DB.pm: Added generic access to database using
	give_db_value() function.

	* pandora_network.pl: Porting code from 2.0 trunk, code from 1.3 was
	too slow. Solved many issues of stability. Changed entire balancing
	and task assigment algorithm. 

	* PandoraFMS/Config.pm: Added network_thread config option to
	fine-tune network server.

2007-07-16  Sancho Lerena  <slerena@artica.es>

	* bin/PandoraFMS/DB.pm: bugfix, was not updating running_by field !!

2007-07-13  Sancho Lerena  <slerena@artica.es>

	* bin/pandora_recon.pl: Another patch, to create records in
	tagente_estado using different values for "estado" field, (100 for
	non-monitors, 0 for monitors), in the same way console does.
	
	* bin/pandora_recon.pl: Testing changes for two items: (a) Bug
	detected in forking startup (-D). (b) Bug detected due creation of
	modules without inserting record in tagente_estado table.
	
	* bin/pandora_server.pl: Updated some flags (IO flush), and
	indenting some code.

2007-07-11  Manuel Arostegui <marostegui@artica.es>

        * bin/pandora_server.pl: Fixed a bug which make
          impossible to figure out what the error was
          (if there was) when launching the pandora_server.

2007-06-29  Raul Mateos  <raulofpandora@gmail.com>

	* conf/pandora_server.conf: Changed default incomming dir and log.
	Fixed small bug with dbuser.

2007-06-28  Manuel Arostegui <marostegui@artica.es>

	* conf/pandora_server.conf: Fixed bug #1744240 

	* pandora_server: Added feature request #1744248

	* pandora_recon: Added feature request #1744248

	* pandora_network: Added feature request #1744248

2007-06-25  Sancho Lerena  <slerena@artica.es>

	This should be definitive commit for Beta1
	
	* General cleanup of unused or old stuff.

	* bin/PandoraFMS/Config.pm: Now uses errorlog for each perl
	error. Now render database bad connect string in connection phase
	(useful to debug startup errors by blank spaces).
	
	* util/pandora_checkdep.pl: Small perl script to check all
	dependencies.


2007-06-25  Manuel Arostegui <marostegui@artica.es>

	* specs/fedoracore5/pandora_server.spec: Moving PandoraFMS
	  perl modules to the perl directory instead of leaving them
	  in the pandora_server main directory.

2007-06-22  Sancho Lerena  <slerena@artica.es>

        * bin/pandora_recon.pl: This sould be final modifications for recon.
	Fixed a bug reported by Enrique Verdes in the development list.

2007-06-19  Sancho Lerena  <slerena@artica.es>

	* bin/PandoraFMS/DB.pm: Added support to timeframe alerts.

	* bin/pandora_recon.pl: Threads is not a good idea, we need to use
	fork() in the future. At this moment, multithread disabled for
	recon.

2007-06-18  Manuel Arostegui <marostegui@artica.es>

	* specs/fedoracore5/pandora_server.spec: Added some useful tips.

2007-06-18  Manuel Arostegui <marostegui@artica.es>

	* specs/fedoracore5/pandora_server.spec: Ready for the 1.3 packaging.

2007-06-17  Sancho Lerena  <slerena@artica.es>

	* bin/pandora_server.pl: Now keepalive subprocess uses alert_check
	function fon DB.pm
	
	* bin/PandoraFMS/Config.pm: Updated version number.
	
	* bin/PandoraFMS/DB.pm: alert_check function now support
	individual alert disable.

2007-06-07  Sancho Lerena  <slerena@artica.es>

	Important update. Now all PM files (library) goes on PandoraFMS
	subdirectory from /bin. This should be copied/moved to system
	default Perl libraries (like /usr/lib/perl). All .PM files changes
	it's name.

	We also replace Net::Ping for Alive checks because recently
	problems discovered in packet lenght payload and problems with
	threads. We fallback to Net::Ping::External, now rewrapped to
	PandoraFMS::PingExternal and distributed with PandoraFMS for easy
	deployment.

	bin/*.pm: Renamed to equivalent files in ./bin/PandoraFMS dir
	
	* bin/pandora_network.pl: Now uses ping() from PingExternal to
	make alive checks. Latency checks is the only function that
	actually needs root now. External Ping could be executed from any
	user (it uses PING from system).
	
	* bin/PandoraFMS: Now contains all .PM files for PandoraFMS.

	* bin/pandora_recon.pl: Now uses ping() from PingExternal.

	* bin/pandora_network.pl: Net::Ping::External does not solve our 
	odd problems. Fallback again to Net::Ping interface, not using a 
	double check to be sure that data is good. I hope this works :(

2007-06-05  Sancho Lerena <slerena@gmail.com>

	* pandora_network.pm: Small bug that causes some hosts to do not reply
	at ICMP request with a small payload (1 byte). Now uses by default 
	32 bytes per reply. Also modified icmp_data for latency checks because 
	was not using global timeout and has the same problems with small
	payloads.

2007-06-04  Raúl Mateos  <rmateos@netscape.net>

	* pandora_server, pandora_network, pandora_snmpconsole: Added FMS text.

2007-05-24  Sancho Lerena  <slerena@artica.es>

	* conf/pandora_server.conf: Added support for dbname option.

	* pandora_snmpconsole: Version and bash header updated.

	* bin/pandora_config.pm: Added support for dbname option. Added
	some default options for DB.

	* bin/pandora_db.pm: Fixed stupid bug in alert execution.  Added
	support for dbname option and other minor fixes.

	* bin/pandora_server.pl,
	bin/pandora_network.pl,
	bin/pandora_snmpconsole.pl,
	bin/pandora_recon.pl:  Added support for dbname option.

	* pandora_server: Version update

2007-05-21  Sancho Lerena  <slerena@artica.es>

	* pandora_network: Version banner update.

	* pandora_db.pm: Fixed problem in function
	module_generic_data_inc() that doesn't create record on new
	data_inc modules, only updates if already exists. Fixed and
	tested.

	* pandora_network.pm: pandora_query_snmp() function return 0 if
	cannot stablish connection. Also, snmp_data_proc value of 2 (down)
	is turned to 0 for Pandora FMS. Also, now when cannot connect,
	ONLY UPDATE last_try field, not timestamp field in tagente_estado
	table. I don't know why was in that way until this moment ¿?

2007-05-07  Sancho Lerena  <slerena@artica.es>

	* bin/pandora_db.pm: Fixed some problems with quotes and other
	aditional checks.

	* bin/pandora_network.pl: Fixed some problems with quotes and
	other aditional checks.  Detected a serious BUG in snmplib for
	Ubuntu Freeze
	(already submitted as detected BUG with veryhigh priority). This
	makes pandora network server unusable on feisty until fixed
	:(. Bug item is in
	https://bugs.launchpad.net/ubuntu/+source/net-snmp/+bug/65047

2007-05-07  Sancho Lerena  <slerena@artica.es>

	* bin/pandora_db.pm: Fixed BUG #1714003 for data_inc unit division
	(I hope), need testing.

2007-05-03  Sancho Lerena  <slerena@artica.es>

	* bin/pandora_network.pl: Fix problem with ICMP timeouts.
	
	* util/pandora_dbstress.pl: Update for new needsupdate fix in some
	DB code. Needs to be improved for specific module/agent selection.
	

2007-04-24  Sancho Lerena  <slerena@artica.es>

	* pandora_db.pm: Added sanity checks to avoid problems when some
	modules coming without names or cannot locate a valid agent.

	* pandora_server.pl: Added sanity checks to avoid unnamed modules

2007-04-21  Sancho Lerena  <slerena@gmail.com>

	* pandora_tools.pm: Fixed sqlWrap() function.

	* pandora_db.pm: Many changes and fixes: data_inc process function
	almost rewritten to fix a bug coming from 1.x? who causes to
	insert as data the total value for first data arriving... so bad
	:(. This is now fixed. crea_agente_modulo() now return id of
	agent_module created so we skip another timeconsuming query
	:). Added give_group_disabled() for next feature about Group
	Disabled doesnt fire alerts nor events. Fixed crea_agente_modulo()
	with many not defined checks.

	* pandora_network.pm: Fixed terrible bug in reference parameters
	that cause pandora_query_tcp() dont work properly.

2007-04-19  Sancho Lerena  <slerena@artica.es>

	* pandora_tools.pm: Now expor sqlWrap() function to parse " and '
	chars in some SQL sentences. Use with careful.

	* pandora_network.pm: Fixed little bug with undeclared variable
	warning.

	* pandora_db.pm: Implemented NEW text alerts with regexp. Internal
	audit now uses macros for alerts. Fixed a bug in
	crea_agente_modulo() when uses ' chars in name or module
	description (using sqlWrap to clean text). General code cleanup.
	
2007-04-19  Manuel Arostegui <marostegui@artica.es>

	* specs/fedoracore5/pandora_server: Added files of the
	  new 1.3 version.

2007-04-17  Manuel Arostegui <marostegui@artica.es>

	* specs/fedoracore5/pandora_server.spec: Added code to evaluate
	  the perl version using by the system.

2007-04-11  Manuel Arostegui <marostegui@artica.es>

	* conf/pandora_server.conf: Changed PATHS to adapt them to the
          upcoming 1.3 release.

	* INSTALL: Adapted instructions in order to work with new PATHS
	  of the upcoming 1.3 version.

2007-04-11  Manuel Arostegui <marostegui@artica.es>

	* pandora_network, pandora_snmpconsole, pandora_server
	  pandora_recon: Changed PATHS to adapt them to the 
	  upcoming 1.3 release.

	* specs/fedoracore5/pandora_server.spec: Changed
          PATHS to adapt them to the upcoming 1.3 release.

2007-03-29  Sancho Lerena  <slerena@artica.es>

	* pandora_config.pm: Now stores $pa_config->{'server_id'}
	available for any function in Pandora FMS Server.

	* pandora_db.pm: Several verbosity level adjustements in logger
	functions in all code. Some debug code purged. Alert code now
	should store group correctly in events. Renamed
	"processed_by_server" field from tagente_estado by "running_by",
	updated some code. pandora_updateserver() now stores also server
	version.

	* pandora_network.pm: pandora_serverkeepaliver now run more
	exactly and does not apply any delay. Module selection now uses
	utimestamp AND the new running_by to know that other instance of
	server is currently running this module. TCP code has moved to
	function pandora_query_tcp() -code cleanup-. UDP code deleted
	(doesn't work, and never used!). Fixed important bug in ICMP Proc
	that causes constant FLIPFLOP in monitors since last commit. Fixed
	also a problem from that version updating status timestamp. Lastry
	field only be used now for checking 24hr without updating tdata
	table.

	* pandora_server.conf: Updated some text and formatting, more
	clear now.
	
2007-03-23  Sancho Lerena  <slerena@artica.es>

	* pandora_tools.pm: Added sqlWrap function to manage quotes.

	* pandora_network.pm: MAJOR changes in internal architecture: Now
	uses 10 threads for manage network tasks and one only to keep
	server alive. Now catch TERM signal and log it. New function to
	check UDP services. This should be enought for improve network
	server performance until 2.0 version :-)

	* pandora_db.pm: pandora_calcula_alerta now calls execute_alert
	and clenanup alert code. Fixed bug with Internal audit
	alert. Addded fix from Dassing to pandora_writestate and added
	more fixes for 24hr data problem that include fix
	odule_generic_data.. functions.  pandora_audit () now uses
	utimestamp also.

2007-03-19  Sancho Lerena  <slerena@artica.es>

	* pandora_recon: Startup script for recon server.

	* pandora_recon.pl: Major code cleanup. First "complete" version,
	this sould be enought for a while. Works for me.

	* pandora_db.pm: Added generic functions to add incident . Added
	function give_network_component_profile_name(). Now updates
	correctly recon server status in pandora_updateserver function
	call.
	
	* pandora_network.pm: Replaced Net::Ping::External usage with
	Net::Ping library. This should fix many problems with some
	distros. Added pandora_ping_icmp() function to check ICMP boolean.
	
	
2007-03-12  Sancho Lerena  <slerena@artica.es>

	* util/pandora_dbstress.pl: Upgraded. Now admits one agent or all
	agent.
	
	* bin/pandora_recon.pl: New network recon server, to autoexplore
	new machines and add to monitorization automatically. Not
	finished, first version, first commit to SVN :-)

	* bin/pandora_db.pm: Now pandora_writestate() writes new fields
	current_interval, processed_by_server into tagente_estado
	table. This increase seeks for Unknown modules, and to know what
	server manage the module (data or network).

	* bin/pandora_server.pl: Small changes in banners.

	* bin/pandora_network.pl: Small changes in banner. Small
	optimization, now server_id is only checked once.

	* bin/pandora_config.pm: Small changes in banner. Added support to
	new reconserver, added config hash "servermode" to maintain a
	single var with servertype. Now renders in console real server
	name at startup and a "all correct" message after initializing.

2007-02-22  Sancho Lerena  <slerena@artica.es>

	* bin/pandora_dbstress.pl: Deleted, valid one is on /util

	* util/crea_modulos_ping.php: This tool create two modules for
	each existing agents. Used to create ICMP PROC and ICMP DATA
	network module types to test new Network infraestructure.
	
	* util/lista_ip.txt: Our testing IP field :-)
	
	* util/agent_creator.php: This PHP console script create a bunch
	of agents with it's modules (500 agents with 20 modules each by
	default) to test huge environments.
	
	* util/pandora_dbstress.pl: Updated.

2007-02-16  Sancho Lerena  <slerena@artica.es>

	* pandora_db.pm: Now updates and uses utimestamp fields in
	tagent_data, tagent_data_string and tagent_status.

2007-02-01  Manuel Arostegui <marostegui@artica.es>

	*  pandora_server/specs/fedoracore5/pandora_server.spec:
	   Fixed small bugs with some .pm files behaviur and logs
	   paths.

2007-01-23  Manuel Arostegui <marostegui@artica.es>

	*  pandora_server/specs/fedoracore5/pandora_server.spec:
	   /var/log/pandora was not created with the correct perms,
	   fixed.

2007-01-20  Manuel Arostegui <marostegui@artica.es>
	
	*  pandora_server/specs/fedoracore5/pandora_server.spec:
           Fixed more nosenses related with symlink

2007-01-20  Manuel Arostegui <marostegui@artica.es>

	*  pandora_server/specs/fedoracore5/pandora_server.spec:
	   Fixed some nosenses

2007-01-16  Manuel Arostegui <marostegui@artica.es>

	* pandora_server/specs/fedoracore5/pandora_server.spec: Fixed
	  bug #1636585.

2007-01-08  Manuel Arostegui <marostegui@artica.es>

	* pandora_server/specs/fedoracore5/pandora_server.spec: Changed group.

2007-01-03  Manuel Arostegui <marostegui@artica.es>
	
	* pandora_server/specs/fedoracore5/pandora_server.spec: Added dependencies.

2007-01-03  Manuel Arostegui <marostegui@artica.es>

	* pandora_server/specs/fedoracore5/pandora_server.spec: Fixed small bug with .pm
	  files. Fixed a PATH slip-up

2007-01-02  Manuel Arostegui <marostegui@artica.es>

	* pandora_server/specs/fedoracore5/pandora_server.spec: Added to reposistory.
	  Completly re-write pandora server spec file, now it package everything.

2006-12-22  Manuel Arostegui <marostegui@artica.es>

	 * pandora_server/specs/fedoracore5/perl-Pandora-1.2.spec: Fixed some
	   nonsenses.
	
	 * pandora_server/specs/rhel/perl-Pandora-1.2.spec: Much more polished
	   spec file.

2006-12-22  Manuel Arostegui <marostegui@artica.es>

	* pandora_server/specs/fedoracore5/perl-Pandora-1.2.spec: Much more 
	  polished spec file. Lot of changes made. Added notes as a remind
	  after installation.

2006-12-21  Manuel Arostegui <marostegui@artica.es>

	* pandora_server/specs/fedoracore5/perl-Pandora-1.2.spec: Changed
	  named, this is not a beta anymore. Also added Release:1

	* pandora_server/specs/rhel/perl-Pandora-1.2.spec: Changed 
          named, this is not a beta anymore. Also added Release:1

2006-11-29  Sancho Lerena  <slerena@artica.es>

	* pandora_server/pandora_server.pl: Fixed BUG #1604778.

2006-11-27 Raul Mateos <raulofpandora@gmail.com>

	* pandora_server/data_in: Removed old directory.

	* pandora_server/config/pandora_server.conf: Changed data_in
	directory to /var/spool/pandora/data_in.

2006-11-27 Manuel Arostegui <marostegui@artica.es>

	* pandora_server/specs/fedoracore5/perl-Pandora-1.2-beta3.spec:
	  Missing Changelog section, added.
	
	* pandora_server/specs/rhel/perl-Pandora-1.2-beta3.speci: Missing 
	  Changelog section, added.

2006-11-23 Raul Mateos <raulofpandora@gmail.com>

	* pandora_server/bin/pandora_config.pm: Updated some text from
	Linux to GNU/Linux. Update build date and final version.

	* pandora_server/config/pandora_server.conf: Changed servername
	from "daeva" to localhost.

2006-11-22 Manuel Arostegui <marostegui@artica.es>

	* pandora_server/specs/fedoracore5/*, pandora_server/specs/rhel/*:
	  Added to repository. Added specs files for Fedora Core 5 and
	  RHEL.

2006-11-13  Sancho Lerena  <slerena@artica.es>

        * /bin/pandora_config.pm: Added $VERSION variable to be used for
	        packagers.


2006-09-29 Raul Mateos <raulofpandora@gmail.com>

	* pandora_server/bin/*.pl and *.pm: Updated some comments from
	Spanish to English. Update build date.

2006-09-13 Sancho Lerena <slerena@artica.es>

	* pandora_network.pl: Fixed problems with OID index. Perl needs to
	referente a .0 index, like SNMPv2-MIB::sysDescr.0 as
	SNMPv2-MIB::sysDescr. Also, other numerical indexes are referenced
	different from system SNMP or PHP. IF-MIB::ifDescr.3 is
	IF-MIB::ifDescr.2 for PERL's SNMP.
